###############################################################################
# (c) Copyright 2024 CERN for the benefit of the LHCb Collaboration           #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
from DDDB.CheckDD4Hep import UseDD4Hep
from GaudiTesting.BaseTest import LineSkipper, RegexpReplacer

detDescFixes = LineSkipper(["A DUMMY LINE"])

if not UseDD4Hep:
    # take into account spurious differences in stdout when DetDesc is used
    detDescFixes += LineSkipper(
        [
            "DeFTDetector                           INFO Current FT geometry version =   64",
            "velo_motion_system_yaml",
            "conditions_version",
            "geometry_version",
        ]
    ) + RegexpReplacer(when="geometry_backend", orig=r"DetDesc", repl=r"DD4Hep")
