#!/usr/bin/env python
###############################################################################
# (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
# =============================================================================
## @file   LoKiHlt/tests.py
#  The simple tets script for Phys/LoKiHlt package
#
#    This file is a part of LoKi project -
#    "C++ ToolKit  for Smart and Friendly Physics Analysis"
#
#  The package has been designed with the kind help from
#  Galina PAKHLOVA and Sergey BARSUK.  Many bright ideas,
#  contributions and advices from G.Raven, J.van Tilburg,
#  A.Golutvin, P.Koppenburg have been used in the design.
#
#  @author Vanya BELYAEV ibelyaev@physics.syr.edu
#  @date 2007-05-29
# =============================================================================
"""
The basic tests for Phys/LoKiHlt package

This file is a part of LoKi project -
'C++ ToolKit  for Smart and Friendly Physics Analysis'

The package has been designed with the kind help from
Galina PAKHLOVA and Sergey BARSUK.  Many bright ideas,
contributions and advices from G.Raven, J.van Tilburg
A.Golutvin, P.Koppenburg have been used in the design.


"""

from __future__ import print_function

# =============================================================================
__author__ = "Vanya BELYAEV Ivan.Belyaev@nikhef.nl"
__version__ = "1.1"
# =============================================================================

# temporary:
import GaudiPython.Pythonizations
from LoKiCore.functions import *
from LoKiCore.math import *

from LoKiHlt.algorithms import *
from LoKiHlt.decorators import *


# =============================================================================
## The most trivial test function
def test0():
    """
    The most trivial test function
    """
    pass


# =============================================================================
## Perform all known tests
def testAll():
    """
    Perform all known tests
    """
    test0()


# =============================================================================
if "__main__" == __name__:
    testAll()
    print(dir())
# =============================================================================

# =============================================================================
# The END
# =============================================================================
