###############################################################################
# (c) Copyright 2019 CERN for the benefit of the LHCb Collaboration           #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
# yapf: disable
{'AlgContextSvc': {'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditServices': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'BypassIncidents': True,
                   'Check': True,
                   'OutputLevel': 0},
 'ApplicationMgr': {'ActivateHistory': False,
                    'AlgTypeAliases': {},
                    'AppName': 'Brunel',
                    'AppVersion': 'v60r5',
                    'AuditAlgorithms': False,
                    'AuditFinalize': 0,
                    'AuditInitialize': 0,
                    'AuditServices': False,
                    'AuditTools': False,
                    'CreateSvc': [],
                    'Dlls': [],
                    'Environment': {},
                    'EventLoop': 'HLTControlFlowMgr/HLTControlFlowMgr',
                    'EvtMax': 2000000,
                    'EvtSel': '',
                    'Exit': 0,
                    'ExtSvc': ['DetDataSvc/DetectorDataSvc',
                               'HiveWhiteBoard/EventDataSvc',
                               'Gaudi::MultiFileCatalog/FileCatalog',
                               'Gaudi::IODataManager/IODataManager',
                               'Gaudi::RootCnvSvc/RootCnvSvc',
                               'Gaudi::RootCnvSvc/FileRecordCnvSvc'],
                    'ExtSvcCreates': True,
                    'Go': 0,
                    'HistogramPersistency': 'NONE',
                    'InitializationLoopCheck': True,
                    'JobOptionsPath': '',
                    'JobOptionsPostAction': '',
                    'JobOptionsPreAction': '',
                    'JobOptionsSvcType': 'JobOptionsSvc',
                    'JobOptionsType': 'FILE',
                    'MessageSvcType': 'MessageSvc',
                    'OutStream': [],
                    'OutStreamType': 'OutputStream',
                    'OutputLevel': 3,
                    'PluginDebugLevel': 0,
                    'PrintAlgsSequence': False,
                    'PropertiesPrint': False,
                    'ReturnCode': 0,
                    'Runable': 'AppMgrRunable',
                    'StalledEventMonitoring': False,
                    'StatusCodeCheck': False,
                    'StopOnSignal': False,
                    'SvcMapping': ['EvtDataSvc/EventDataSvc',
                                   'DetDataSvc/DetectorDataSvc',
                                   'HistogramSvc/HistogramDataSvc',
                                   'HbookCnv::PersSvc/HbookHistSvc',
                                   'RootHistCnv::PersSvc/RootHistSvc',
                                   'EvtPersistencySvc/EventPersistencySvc',
                                   'DetPersistencySvc/DetectorPersistencySvc',
                                   'HistogramPersistencySvc/HistogramPersistencySvc'],
                    'SvcOptMapping': [],
                    'TopAlg': ['Gaudi::Hive::FetchDataFromFile/FetchDataFromFile',
                               'LHCb::Tests::FakeEventTimeProducer/DummyEventTime',
                               'LHCb::DetDesc::ReserveDetDescForEvent/ReserveIOV',
                               'createODIN/createODIN',
                               'PrGECFilter/PrGECFilter',
                               'PrPixelTracking/PrPixelTracking',
                               'VSPClus/VSPClustering',
                               'TracksVPMergerConverter_Clusters/ConverterVP',
                               'PatPV3DFuture/PatPV3D',
                               'LoKi::VoidFilter/FilterOnNoPVs',
                               'PrStoreUTHit/PrStoreUTHit',
                               'PrVeloUT/PrVeloUTFast',
                               'TracksUTConverter/TracksUTConverter',
                               'MuonRawToHits/MuonRawToHits',
                               'FTRawBankDecoder/createFTClusters',
                               'PrStoreFTHit/PrStoreFTHit',
                               'PrForwardTracking/PrForwardTrackingFast',
                               'TracksFTConverter/TracksFTConverter',
                               'MakeZipContainer__Track_v2/MakeZipContainer__Track_v2',
                               'MuonIDHlt1Alg/MuonIDHlt1Alg',
                               'MakeView__Track_v2__MuonID/MakeView__Track_v2__MuonID',
                               'SOAFilter__TrackWithMuonIDView/SOAFilter__TrackWithMuonIDView',
                               'ParameterizedKalmanFit/ForwardFitterAlgParamFast',
                               'MakeSelection__Track_v1/fitConverter']},
 'ConverterVP': {'AuditAlgorithms': False,
                 'AuditBeginRun': False,
                 'AuditEndRun': False,
                 'AuditExecute': False,
                 'AuditFinalize': False,
                 'AuditInitialize': False,
                 'AuditReinitialize': False,
                 'AuditRestart': False,
                 'AuditStart': False,
                 'AuditStop': False,
                 'Cardinality': 0,
                 'Context': '',
                 'CounterList': ['.*'],
                 'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                 'Enable': True,
                 'ErrorCount': 0,
                 'ErrorMax': 1,
                 'ErrorsPrint': True,
                 'ExtraInputs': ['/Event/IOVLock'],
                 'ExtraOutputs': [],
                 'FilterCircularDependencies': True,
                 'HitsLocation': DataHandle("Raw/VP/LightClusters"),
                 'IsIOBound': False,
                 'MonitorService': 'MonitorSvc',
                 'NeededResources': [],
                 'OutputLevel': 0,
                 'OutputTracksLocation': DataHandle("/Event/Rec/Track/VeloAsTrackV2"),
                 'PrintEmptyCounters': False,
                 'PropertiesPrint': False,
                 'RegisterForContextService': True,
                 'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                 'RequireObjects': [],
                 'RootInTES': '',
                 'StatEntityList': [],
                 'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                 'Timeline': True,
                 'TracksBackwardLocation': DataHandle("Rec/Track/VeloBackward"),
                 'TracksForwardLocation': DataHandle("/Event/Rec/Track/Velo"),
                 'TypePrint': True,
                 'UseEfficiencyRowFormat': True,
                 'VetoObjects': [],
                 'ptVelo': 400.0},
 'DetectorDataSvc': {'AllowLoadInRunning': True,
                     'AuditFinalize': False,
                     'AuditInitialize': False,
                     'AuditReinitialize': False,
                     'AuditRestart': False,
                     'AuditServices': False,
                     'AuditStart': False,
                     'AuditStop': False,
                     'DataAccessName': 'DataAccess',
                     'DataFaultName': 'DataFault',
                     'DetDbLocation': 'git:/lhcb.xml',
                     'DetDbRootName': 'dd',
                     'DetStorageType': 7,
                     'EnableAccessHandler': False,
                     'EnableFaultHandler': False,
                     'ForceLeaves': False,
                     'InhibitPathes': [],
                     'OutputLevel': 0,
                     'PersistencySvc': 'DetectorPersistencySvc',
                     'RootCLID': 3,
                     'RootName': '/dd',
                     'UsePersistency': True},
 'DetectorPersistencySvc': {'AuditFinalize': False,
                            'AuditInitialize': False,
                            'AuditReinitialize': False,
                            'AuditRestart': False,
                            'AuditServices': False,
                            'AuditStart': False,
                            'AuditStop': False,
                            'CnvServices': ['XmlCnvSvc/XmlCnvSvc'],
                            'OutputLevel': 0},
 'DummyEventTime': {'AuditAlgorithms': False,
                    'AuditBeginRun': False,
                    'AuditEndRun': False,
                    'AuditExecute': False,
                    'AuditFinalize': False,
                    'AuditInitialize': False,
                    'AuditReinitialize': False,
                    'AuditRestart': False,
                    'AuditStart': False,
                    'AuditStop': False,
                    'Cardinality': 0,
                    'Context': '',
                    'CounterList': ['.*'],
                    'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                    'Enable': True,
                    'ErrorCount': 0,
                    'ErrorMax': 1,
                    'ErrorsPrint': True,
                    'ExtraInputs': [],
                    'ExtraOutputs': [],
                    'FilterCircularDependencies': True,
                    'IsIOBound': False,
                    'MonitorService': 'MonitorSvc',
                    'NeededResources': [],
                    'ODIN': DataHandle("/Event/DAQ/DummyODIN"),
                    'OutputLevel': 0,
                    'PrintEmptyCounters': False,
                    'PropertiesPrint': False,
                    'RegisterForContextService': True,
                    'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                    'RequireObjects': [],
                    'RootInTES': '',
                    'Start': 1433509200.0,
                    'StatEntityList': [],
                    'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                    'Step': 0.0,
                    'Timeline': True,
                    'TypePrint': True,
                    'UseEfficiencyRowFormat': True,
                    'VetoObjects': []},
 'EventClockSvc': {'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditServices': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'DetectorDataSvc': 'DetectorDataSvc',
                   'EventTimeDecoder': 'FakeEventTime',
                   'InitialTime': 1433509200000000000,
                   'OutputLevel': 0},
 'EventDataSvc': {'AuditFinalize': False,
                  'AuditInitialize': False,
                  'AuditReinitialize': False,
                  'AuditRestart': False,
                  'AuditServices': False,
                  'AuditStart': False,
                  'AuditStop': False,
                  'DataLoader': 'EventPersistencySvc',
                  'EnableFaultHandler': True,
                  'EventSlots': 24,
                  'ForceLeaves': True,
                  'OutputLevel': 0,
                  'RootCLID': 1,
                  'RootName': '/Event'},
 'EventPersistencySvc': {'AuditFinalize': False,
                         'AuditInitialize': False,
                         'AuditReinitialize': False,
                         'AuditRestart': False,
                         'AuditServices': False,
                         'AuditStart': False,
                         'AuditStop': False,
                         'CnvServices': ['Gaudi::RootCnvSvc/RootCnvSvc',
                                         'LHCb::RawDataCnvSvc'],
                         'OutputLevel': 0},
 'EventSelector': {'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditServices': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'EvtMax': 2147483647,
                   'FirstEvent': 0,
                   'Input': ["/some/not/empty/file/path",
                             "/another/non/empty/file/path"],
                   'OutputLevel': 0,
                   'PrintFreq': 10000,
                   'StreamManager': 'DataStreamTool'},
 'FetchDataFromFile': {'AuditAlgorithms': False,
                       'AuditBeginRun': False,
                       'AuditEndRun': False,
                       'AuditExecute': False,
                       'AuditFinalize': False,
                       'AuditInitialize': False,
                       'AuditReinitialize': False,
                       'AuditRestart': False,
                       'AuditStart': False,
                       'AuditStop': False,
                       'Cardinality': 0,
                       'DataKeys': ['/Event/DAQ/RawEvent'],
                       'Enable': True,
                       'ErrorCount': 0,
                       'ErrorMax': 1,
                       'ExtraInputs': [],
                       'ExtraOutputs': [],
                       'FilterCircularDependencies': True,
                       'IsIOBound': False,
                       'MonitorService': 'MonitorSvc',
                       'NeededResources': [],
                       'OutputLevel': 0,
                       'RegisterForContextService': False,
                       'Timeline': True},
 'FileRecordCnvSvc': {'AuditFinalize': False,
                      'AuditInitialize': False,
                      'AuditReinitialize': False,
                      'AuditRestart': False,
                      'AuditServices': False,
                      'AuditStart': False,
                      'AuditStop': False,
                      'AutoFlush': 100,
                      'BasketSize': 2097152,
                      'BufferSize': 2048,
                      'CacheBranches': ['*'],
                      'CacheSize': 10485760,
                      'EnableIncident': True,
                      'GlobalCompression': '',
                      'IOPerfStats': '',
                      'LearnEntries': 10,
                      'LoadSection': 'Event',
                      'OutputLevel': 0,
                      'RecordsName': '/FileRecords',
                      'ShareFiles': 'YES',
                      'SplitLevel': 0,
                      'VetoBranches': []},
 'FileRecordDataSvc': {'AuditFinalize': False,
                       'AuditInitialize': False,
                       'AuditReinitialize': False,
                       'AuditRestart': False,
                       'AuditServices': False,
                       'AuditStart': False,
                       'AuditStop': False,
                       'AutoLoad': True,
                       'DataAccessName': 'DataAccess',
                       'DataFaultName': 'DataFault',
                       'EnableAccessHandler': False,
                       'EnableFaultHandler': True,
                       'ForceLeaves': True,
                       'IncidentName': 'NEW_FILE_RECORD',
                       'InhibitPathes': [],
                       'OutputLevel': 0,
                       'PersistencySvc': 'PersistencySvc/FileRecordPersistencySvc',
                       'RootCLID': 1,
                       'RootName': '/FileRecords',
                       'SaveIncident': 'SAVE_FILE_RECORD'},
 'FileRecordPersistencySvc': {'AuditFinalize': False,
                              'AuditInitialize': False,
                              'AuditReinitialize': False,
                              'AuditRestart': False,
                              'AuditServices': False,
                              'AuditStart': False,
                              'AuditStop': False,
                              'CnvServices': ['Gaudi::RootCnvSvc/FileRecordCnvSvc'],
                              'OutputLevel': 0},
 'FilterOnNoPVs': {'AuditAlgorithms': False,
                   'AuditBeginRun': False,
                   'AuditEndRun': False,
                   'AuditExecute': False,
                   'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'Cardinality': 1,
                   'Code': "SIZE('/Event/Rec/FutureVertex')>0",
                   'Context': '',
                   'CounterList': ['.*'],
                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                   'Enable': True,
                   'ErrorCount': 0,
                   'ErrorMax': 1,
                   'ErrorsPrint': True,
                   'ExtraInputs': ['/Event/IOVLock'],
                   'ExtraOutputs': [],
                   'Factory': 'LoKi::Hybrid::CoreFactory/CoreFactory:PUBLIC',
                   'FilterCircularDependencies': True,
                   'IsIOBound': False,
                   'MonitorService': 'MonitorSvc',
                   'NeededResources': [],
                   'OutputLevel': 0,
                   'Preambulo': [],
                   'PrintEmptyCounters': False,
                   'PropertiesPrint': False,
                   'RegisterForContextService': True,
                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                   'RequireObjects': [],
                   'RootInTES': '',
                   'StatEntityList': [],
                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                   'Timeline': True,
                   'TypePrint': True,
                   'UseEfficiencyRowFormat': True,
                   'VetoObjects': []},
 'ForwardFitterAlgParamFast': {'AuditAlgorithms': False,
                               'AuditBeginRun': False,
                               'AuditEndRun': False,
                               'AuditExecute': False,
                               'AuditFinalize': False,
                               'AuditInitialize': False,
                               'AuditReinitialize': False,
                               'AuditRestart': False,
                               'AuditStart': False,
                               'AuditStop': False,
                               'Cardinality': 0,
                               'Context': '',
                               'CounterList': ['.*'],
                               'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                               'Enable': True,
                               'ErrorCount': 0,
                               'ErrorMax': 1,
                               'ErrorsPrint': True,
                               'ExtraInputs': ['/Event/IOVLock'],
                               'ExtraOutputs': [],
                               'Extrapolator': 'TrackMasterExtrapolator/TrackMasterExtrapolator',
                               'FilterCircularDependencies': True,
                               'InputName': DataHandle("Rec/Track/FTSoAAsTrackV2"),
                               'IsIOBound': False,
                               'MaxNumOutlier': 2,
                               'MeasProvider': 'MeasurementProvider/MeasurementProvider',
                               'MonitorService': 'MonitorSvc',
                               'NeededResources': [],
                               'OutputLevel': 0,
                               'OutputName': DataHandle("Rec/Track/FittedForward"),
                               'ParamFileLocation': '/cvmfs/lhcb.cern.ch/lib/lhcb/PARAM/ParamFiles/v8r27p1/data/ParametrizedKalmanFit/FT6x2',
                               'PrintEmptyCounters': False,
                               'PropertiesPrint': False,
                               'RegisterForContextService': True,
                               'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                               'RequireObjects': [],
                               'RootInTES': '',
                               'StatEntityList': [],
                               'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                               'Timeline': True,
                               'TypePrint': True,
                               'UseEfficiencyRowFormat': True,
                               'UseForwChi2Estimate': True,
                               'UseForwMomEstimate': True,
                               'UseOneParameterSet': False,
                               'UseTHits': True,
                               'UseUTHits': True,
                               'VetoObjects': []},
 'ForwardFitterAlgParamFast.MeasurementProvider': {'AuditFinalize': False,
                                                   'AuditInitialize': False,
                                                   'AuditReinitialize': False,
                                                   'AuditRestart': False,
                                                   'AuditStart': False,
                                                   'AuditStop': False,
                                                   'AuditTools': False,
                                                   'Context': '',
                                                   'ContextService': 'AlgContextSvc',
                                                   'CounterList': ['.*'],
                                                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                   'ErrorsPrint': True,
                                                   'ExtraInputs': [],
                                                   'ExtraOutputs': [],
                                                   'FTProvider': 'FTMeasurementProvider/FTMeasurementProvider',
                                                   'IgnoreFT': False,
                                                   'IgnoreMuon': True,
                                                   'IgnoreUT': False,
                                                   'IgnoreVP': False,
                                                   'InitializeReference': True,
                                                   'MonitorService': 'MonitorSvc',
                                                   'MuonProvider': 'MuonMeasurementProvider/MuonMeasurementProvider',
                                                   'OutputLevel': 0,
                                                   'PrintEmptyCounters': False,
                                                   'PropertiesPrint': False,
                                                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                   'RootInTES': '',
                                                   'StatEntityList': [],
                                                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                   'TypePrint': True,
                                                   'UTProvider': 'MeasurementProviderT<MeasurementProviderTypes::UTLite>/UTMeasurementProvider',
                                                   'UseEfficiencyRowFormat': True,
                                                   'VPProvider': 'MeasurementProviderT<MeasurementProviderTypes::VP>/VPMeasurementProvider'},
 'ForwardFitterAlgParamFast.TrackMasterExtrapolator': {'ApplyElectronEnergyLossCorr': True,
                                                       'ApplyEnergyLossCorr': False,
                                                       'ApplyMultScattCorr': True,
                                                       'AuditFinalize': False,
                                                       'AuditInitialize': False,
                                                       'AuditReinitialize': False,
                                                       'AuditRestart': False,
                                                       'AuditStart': False,
                                                       'AuditStop': False,
                                                       'AuditTools': False,
                                                       'Context': '',
                                                       'ContextService': 'AlgContextSvc',
                                                       'CounterList': ['.*'],
                                                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                       'ErrorsPrint': True,
                                                       'ExtraInputs': [],
                                                       'ExtraOutputs': [],
                                                       'ExtraSelector': 'TrackDistanceExtraSelector/TrackDistanceExtraSelector',
                                                       'Iterations': 5,
                                                       'MaterialLocator': 'SimplifiedMaterialLocator/SimplifiedMaterialLocator',
                                                       'MaxSlope': 5.0,
                                                       'MaxStepSize': 1000.0,
                                                       'MaxTransverse': 10000.0,
                                                       'MonitorService': 'MonitorSvc',
                                                       'OutputLevel': 0,
                                                       'PrintEmptyCounters': False,
                                                       'PropertiesPrint': False,
                                                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                       'RootInTES': '',
                                                       'StatEntityList': [],
                                                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                       'TypePrint': True,
                                                       'UseEfficiencyRowFormat': True},
 'ForwardFitterAlgParamFast.TrackMasterExtrapolator.SimplifiedMaterialLocator': {'AuditFinalize': False,
                                                                                 'AuditInitialize': False,
                                                                                 'AuditReinitialize': False,
                                                                                 'AuditRestart': False,
                                                                                 'AuditStart': False,
                                                                                 'AuditStop': False,
                                                                                 'AuditTools': False,
                                                                                 'Context': '',
                                                                                 'ContextService': 'AlgContextSvc',
                                                                                 'CounterList': ['.*'],
                                                                                 'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                                                 'ErrorsPrint': True,
                                                                                 'ExtraInputs': [],
                                                                                 'ExtraOutputs': [],
                                                                                 'GeneralDedxToolName': 'StateDetailedBetheBlochEnergyCorrectionTool',
                                                                                 'Geometry': '/dd/TrackfitGeometry/Geometry/lvLHCb',
                                                                                 'MonitorService': 'MonitorSvc',
                                                                                 'OutputLevel': 0,
                                                                                 'PrintEmptyCounters': False,
                                                                                 'PropertiesPrint': False,
                                                                                 'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                                                 'RootInTES': '',
                                                                                 'StatEntityList': [],
                                                                                 'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                                                 'StateMSCorrectionToolName': 'StateThickMSCorrectionTool',
                                                                                 'TypePrint': True,
                                                                                 'UseEfficiencyRowFormat': True},
 'HLTControlFlowMgr': {'AdditionalAlgs': [],
                       'AdditionalCFEdges': [],
                       'AuditFinalize': False,
                       'AuditInitialize': False,
                       'AuditReinitialize': False,
                       'AuditRestart': False,
                       'AuditServices': False,
                       'AuditStart': False,
                       'AuditStop': False,
                       'BarrierAlgNames': [],
                       'CompositeCFNodes': [('moore',
                                             'LAZY_AND',
                                             ['PrGECFilter',
                                              'FilterOnNoPVs',
                                              'PrForwardTrackingFast',
                                              'SOAFilter__TrackWithMuonIDView',
                                              'ForwardFitterAlgParamFast'],
                                             True)],
                       'EvtSel': '',
                       'HistogramPersistency': '',
                       'OutputLevel': 0,
                       'PrintFreq': 1,
                       'StartTimeAtEvt': -1,
                       'StopAfterNFailures': 3,
                       'StopTimeAtEvt': -1,
                       'ThreadPoolSize': 20},
 'HiveDataBrokerSvc': {'AuditFinalize': False,
                       'AuditInitialize': False,
                       'AuditReinitialize': False,
                       'AuditRestart': False,
                       'AuditServices': False,
                       'AuditStart': False,
                       'AuditStop': False,
                       'DataLoader': '',
                       'DataProducers': ['Gaudi::Hive::FetchDataFromFile/FetchDataFromFile',
                                         'LHCb::Tests::FakeEventTimeProducer/DummyEventTime',
                                         'LHCb::DetDesc::ReserveDetDescForEvent/ReserveIOV',
                                         'createODIN/createODIN',
                                         'PrGECFilter/PrGECFilter',
                                         'PrPixelTracking/PrPixelTracking',
                                         'VSPClus/VSPClustering',
                                         'TracksVPMergerConverter_Clusters/ConverterVP',
                                         'PatPV3DFuture/PatPV3D',
                                         'LoKi::VoidFilter/FilterOnNoPVs',
                                         'PrStoreUTHit/PrStoreUTHit',
                                         'PrVeloUT/PrVeloUTFast',
                                         'TracksUTConverter/TracksUTConverter',
                                         'MuonRawToHits/MuonRawToHits',
                                         'FTRawBankDecoder/createFTClusters',
                                         'PrStoreFTHit/PrStoreFTHit',
                                         'PrForwardTracking/PrForwardTrackingFast',
                                         'TracksFTConverter/TracksFTConverter',
                                         'MakeZipContainer__Track_v2/MakeZipContainer__Track_v2',
                                         'MuonIDHlt1Alg/MuonIDHlt1Alg',
                                         'MakeView__Track_v2__MuonID/MakeView__Track_v2__MuonID',
                                         'SOAFilter__TrackWithMuonIDView/SOAFilter__TrackWithMuonIDView',
                                         'ParameterizedKalmanFit/ForwardFitterAlgParamFast',
                                         'MakeSelection__Track_v1/fitConverter'],
                       'OutputLevel': 0},
 'LHCb::ParticlePropertySvc': {'AuditFinalize': False,
                               'AuditInitialize': False,
                               'AuditReinitialize': False,
                               'AuditRestart': False,
                               'AuditServices': False,
                               'AuditStart': False,
                               'AuditStop': False,
                               'ChargeConjugations': {'Baryon': 'Baryon',
                                                      'Beauty': 'Beauty',
                                                      'Bottom': 'Bottom',
                                                      'CC': 'CC',
                                                      'CTau': 'CTau',
                                                      'Charm': 'Charm',
                                                      'Down': 'Down',
                                                      'FiveHalf': 'FiveHalf',
                                                      'Hadron': 'Hadron',
                                                      'HasQuark': 'HasQuark',
                                                      'Heavy': 'Heavy',
                                                      'ID+': 'ID-',
                                                      'ID-': 'ID+',
                                                      'JSpin': 'JSpin',
                                                      'LSpin': 'LSpin',
                                                      'Lepton': 'Lepton',
                                                      'Light': 'Light',
                                                      'LongLived': 'LongLived',
                                                      'LongLived_': 'LongLived_',
                                                      'Mass': 'Mass',
                                                      'Meson': 'Meson',
                                                      'Neutrino': 'Neutrino',
                                                      'Nu': 'Nu',
                                                      'Nucleus': 'Nucleus',
                                                      'OneHalf': 'OneHalf',
                                                      'SSpin': 'SSpin',
                                                      'Scalar': 'Scalar',
                                                      'ShortLived': 'ShortLived',
                                                      'ShortLived_': 'ShortLived_',
                                                      'Spinor': 'Spinor',
                                                      'Stable': 'Stable',
                                                      'StableCharged': 'StableCharged',
                                                      'Strange': 'Strange',
                                                      'Tensor': 'Tensor',
                                                      'ThreeHalf': 'ThreeHalf',
                                                      'Top': 'Top',
                                                      'Up': 'Up',
                                                      'Vector': 'Vector',
                                                      'X': 'X',
                                                      'X+': 'X-',
                                                      'X-': 'X+',
                                                      'X0': 'X0',
                                                      'Xb': 'Xb',
                                                      'Xc': 'Xc',
                                                      'Xd': 'Xd',
                                                      'Xq': 'Xq',
                                                      'Xs': 'Xs',
                                                      'Xt': 'Xt',
                                                      'Xu': 'Xu',
                                                      'beauty': 'beauty',
                                                      'bottom': 'bottom',
                                                      'cc': 'cc',
                                                      'charm': 'charm',
                                                      'down': 'down',
                                                      'l': 'l',
                                                      'l+': 'l-',
                                                      'l-': 'l+',
                                                      'nos': 'nos',
                                                      'os': 'os',
                                                      'strange': 'strange',
                                                      'top': 'top',
                                                      'up': 'up'},
                               'Dump': False,
                               'OtherFiles': [],
                               'OutputLevel': 0,
                               'ParticlePropertiesFile': 'git:///param/ParticleTable.txt',
                               'Particles': []},
 'LoKiSvc': {'AuditFinalize': False,
             'AuditInitialize': False,
             'AuditReinitialize': False,
             'AuditRestart': False,
             'AuditServices': False,
             'AuditStart': False,
             'AuditStop': False,
             'OutputLevel': 0,
             'Reporter': 'LoKi::Reporter/REPORT',
             'Welcome': False},
 'MakeView__Track_v2__MuonID': {'AuditAlgorithms': False,
                                'AuditBeginRun': False,
                                'AuditEndRun': False,
                                'AuditExecute': False,
                                'AuditFinalize': False,
                                'AuditInitialize': False,
                                'AuditReinitialize': False,
                                'AuditRestart': False,
                                'AuditStart': False,
                                'AuditStop': False,
                                'Cardinality': 0,
                                'Context': '',
                                'CounterList': ['.*'],
                                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                'Enable': True,
                                'ErrorCount': 0,
                                'ErrorMax': 1,
                                'ErrorsPrint': True,
                                'ExtraInputs': ['/Event/IOVLock'],
                                'ExtraOutputs': [],
                                'FilterCircularDependencies': True,
                                'InputMuonIDs': DataHandle("Rec/Muon/MuonPID"),
                                'InputTracks': DataHandle("Rec/View/Forward"),
                                'IsIOBound': False,
                                'MonitorService': 'MonitorSvc',
                                'NeededResources': [],
                                'Output': DataHandle("/Event/Rec/View/ForwardWithMuonID"),
                                'OutputLevel': 0,
                                'PrintEmptyCounters': False,
                                'PropertiesPrint': False,
                                'RegisterForContextService': True,
                                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                'RequireObjects': [],
                                'RootInTES': '',
                                'StatEntityList': [],
                                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                'Timeline': True,
                                'TypePrint': True,
                                'UseEfficiencyRowFormat': True,
                                'VetoObjects': []},
 'MakeZipContainer__Track_v2': {'AuditAlgorithms': False,
                                'AuditBeginRun': False,
                                'AuditEndRun': False,
                                'AuditExecute': False,
                                'AuditFinalize': False,
                                'AuditInitialize': False,
                                'AuditReinitialize': False,
                                'AuditRestart': False,
                                'AuditStart': False,
                                'AuditStop': False,
                                'Cardinality': 0,
                                'Context': '',
                                'CounterList': ['.*'],
                                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                'Enable': True,
                                'ErrorCount': 0,
                                'ErrorMax': 1,
                                'ErrorsPrint': True,
                                'ExtraInputs': ['/Event/IOVLock'],
                                'ExtraOutputs': [],
                                'FilterCircularDependencies': True,
                                'Input': DataHandle("Rec/Track/FTSoAAsTrackV2"),
                                'IsIOBound': False,
                                'MonitorService': 'MonitorSvc',
                                'NeededResources': [],
                                'OutputData': DataHandle("Rec/View/Forward"),
                                'OutputLevel': 0,
                                'OutputSelection': DataHandle("Rec/Sel/Forward"),
                                'PrintEmptyCounters': False,
                                'PropertiesPrint': False,
                                'RegisterForContextService': True,
                                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                'RequireObjects': [],
                                'RootInTES': '',
                                'StatEntityList': [],
                                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                'Timeline': True,
                                'TypePrint': True,
                                'UseEfficiencyRowFormat': True,
                                'VetoObjects': []},
 'MuonIDHlt1Alg': {'AuditAlgorithms': False,
                   'AuditBeginRun': False,
                   'AuditEndRun': False,
                   'AuditExecute': False,
                   'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'Cardinality': 0,
                   'ComputeChi2': True,
                   'Context': '',
                   'CounterList': ['.*'],
                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                   'Enable': True,
                   'ErrorCount': 0,
                   'ErrorMax': 1,
                   'ErrorsPrint': True,
                   'ExtraInputs': ['/Event/IOVLock'],
                   'ExtraOutputs': [],
                   'FilterCircularDependencies': True,
                   'InputMuonHits': DataHandle("Muon/MuonHits"),
                   'InputTracks': DataHandle("Rec/View/Forward"),
                   'IsIOBound': False,
                   'MonitorService': 'MonitorSvc',
                   'NeededResources': [],
                   'OutputLevel': 0,
                   'OutputMuonPID': DataHandle("Rec/Muon/MuonPID"),
                   'PrintEmptyCounters': False,
                   'PropertiesPrint': False,
                   'RegisterForContextService': True,
                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                   'RequireObjects': [],
                   'RootInTES': '',
                   'StatEntityList': [],
                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                   'Timeline': True,
                   'TypePrint': True,
                   'UseEfficiencyRowFormat': True,
                   'VetoObjects': [],
                   'useTTrack': False},
 'MuonRawToHits': {'AuditAlgorithms': False,
                   'AuditBeginRun': False,
                   'AuditEndRun': False,
                   'AuditExecute': False,
                   'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'Cardinality': 0,
                   'Context': '',
                   'CounterList': ['.*'],
                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                   'Enable': True,
                   'ErrorCount': 0,
                   'ErrorMax': 1,
                   'ErrorsPrint': True,
                   'ExtraInputs': ['/Event/IOVLock'],
                   'ExtraOutputs': [],
                   'FilterCircularDependencies': True,
                   'HitContainer': DataHandle("Muon/MuonHits"),
                   'IsIOBound': False,
                   'MonitorService': 'MonitorSvc',
                   'NeededResources': [],
                   'OutputLevel': 0,
                   'PosTool': 'MuonFastPosTool/MuonFastPosTool',
                   'PrintEmptyCounters': False,
                   'PropertiesPrint': False,
                   'RawEventLocation': DataHandle("DAQ/RawEvent"),
                   'RegisterForContextService': True,
                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                   'RequireObjects': [],
                   'RootInTES': '',
                   'StatEntityList': [],
                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                   'Timeline': True,
                   'TypePrint': True,
                   'UseEfficiencyRowFormat': True,
                   'VetoObjects': []},
 'PatPV3D': {'AuditAlgorithms': False,
             'AuditBeginRun': False,
             'AuditEndRun': False,
             'AuditExecute': False,
             'AuditFinalize': False,
             'AuditInitialize': False,
             'AuditReinitialize': False,
             'AuditRestart': False,
             'AuditStart': False,
             'AuditStop': False,
             'BeamSpotRCut': 0.6,
             'BeamSpotRHighMultiplicityCut': 0.4,
             'BeamSpotRMultiplicityTreshold': 10,
             'Cardinality': 0,
             'Context': '',
             'CounterList': ['.*'],
             'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
             'Enable': True,
             'ErrorCount': 0,
             'ErrorMax': 1,
             'ErrorsPrint': True,
             'ExtraInputs': ['/Event/IOVLock'],
             'ExtraOutputs': [],
             'FilterCircularDependencies': True,
             'InputTracks': DataHandle("/Event/Rec/Track/VeloAsTrackV2"),
             'IsIOBound': False,
             'Iterations': 20,
             'MinTracks': 4,
             'MonitorService': 'MonitorSvc',
             'NeededResources': [],
             'OutputLevel': 0,
             'OutputVerticesName': DataHandle("/Event/Rec/FutureVertex"),
             'PVsChi2Separation': 25.0,
             'PVsChi2SeparationLowMult': 91.0,
             'PrintEmptyCounters': False,
             'PropertiesPrint': False,
             'RefitPV': False,
             'RegisterForContextService': True,
             'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
             'RequireObjects': [],
             'RequireVelo': True,
             'ResolverBound': 5.0,
             'RootInTES': '',
             'StatEntityList': [],
             'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
             'Timeline': True,
             'TimingMeasurement': False,
             'TrackErrorScaleFactor': 1.0,
             'TypePrint': True,
             'UseBeamSpotRCut': True,
             'UseEfficiencyRowFormat': True,
             'VetoObjects': [],
             'dzCloseTracksInCluster': 5.0,
             'factorToIncreaseErrors': 15.0,
             'highMult': 10,
             'maxChi2': 400.0,
             'maxChi2Merge': 25.0,
             'maxDeltaZ': 0.0005,
             'maxDeltaZCache': 1.0,
             'minCloseTracksInCluster': 3,
             'minClusterMult': 4,
             'minIter': 5,
             'minTrackWeight': 1e-08,
             'ratioSig2HighMult': 1.0,
             'ratioSig2LowMult': 0.9,
             'trackMaxChi2': 12.0,
             'trackMaxChi2Remove': 25.0,
             'x0MS': 0.01},
 'PrForwardTrackingFast': {'AddUTHitsToolName': 'PrAddUTHitsTool/PrAddUTHitsTool',
                           'AuditAlgorithms': False,
                           'AuditBeginRun': False,
                           'AuditEndRun': False,
                           'AuditExecute': False,
                           'AuditFinalize': False,
                           'AuditInitialize': False,
                           'AuditReinitialize': False,
                           'AuditRestart': False,
                           'AuditStart': False,
                           'AuditStop': False,
                           'Cardinality': 0,
                           'Context': '',
                           'CounterList': ['.*'],
                           'DebugToolName': '',
                           'DeltaQuality': 0.1,
                           'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                           'Enable': True,
                           'ErrorCount': 0,
                           'ErrorMax': 1,
                           'ErrorsPrint': True,
                           'ExtraInputs': ['/Event/IOVLock'],
                           'ExtraOutputs': [],
                           'FTHitsLocation': DataHandle("FT/FTHits"),
                           'FilterCircularDependencies': True,
                           'InputName': DataHandle("/Event/Rec/Track/Upstream"),
                           'IsIOBound': False,
                           'MaxChi2LinearFit': 100.0,
                           'MaxChi2PerDoF': 7.0,
                           'MaxChi2Stereo': 4.5,
                           'MaxChi2StereoLinear': 60.0,
                           'MaxChi2XProjection': 15.0,
                           'MaxQuality': 0.9,
                           'MaxXGap': 1.0,
                           'MaxXGap2nd': 0.5,
                           'MaxXWindow': 1.0,
                           'MaxXWindow2nd': 1.5,
                           'MaxXWindowSlope': 0.002,
                           'MaxXWindowSlope2nd': 0.002,
                           'MinPT': 400.0,
                           'MinSingleHits': 2,
                           'MinTotalHits': 10,
                           'MinXHits': 5,
                           'MinXHits2nd': 4,
                           'MinYGap': 0.4,
                           'MonitorService': 'MonitorSvc',
                           'NeededResources': [],
                           'OutputLevel': 0,
                           'OutputName': DataHandle("Rec/Track/FTSoA"),
                           'PrGeometryTool': 'PrGeometryTool/PrGeometryTool',
                           'Preselection': True,
                           'PreselectionPT': 300.0,
                           'PrintEmptyCounters': False,
                           'PropertiesPrint': False,
                           'RegisterForContextService': True,
                           'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                           'RequireObjects': [],
                           'RootInTES': '',
                           'SecondLoop': True,
                           'StatEntityList': [],
                           'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                           'Timeline': True,
                           'TimingMeasurement': False,
                           'TolY': 5.0,
                           'TolYCollectX': 3.5,
                           'TolYMag': 10.0,
                           'TolYMagSlope': 0.015,
                           'TolYSlope': 0.002,
                           'TolYSlopeCollectX': 0.001,
                           'TolYTriangleSearch': 20.0,
                           'TypePrint': True,
                           'UseEfficiencyRowFormat': True,
                           'UseMomentumEstimate': True,
                           'UseMomentumGuidedSearchWindow': False,
                           'UseWrongSignWindow': True,
                           'VeloKey': -100,
                           'VetoObjects': [],
                           'WantedKey': -100,
                           'WrongSignPT': 2000.0,
                           'YToleranceUVsearch': 11.0},
 'PrForwardTrackingFast.PrAddUTHitsTool': {'AuditFinalize': False,
                                           'AuditInitialize': False,
                                           'AuditReinitialize': False,
                                           'AuditRestart': False,
                                           'AuditStart': False,
                                           'AuditStop': False,
                                           'AuditTools': False,
                                           'Context': '',
                                           'ContextService': 'AlgContextSvc',
                                           'CounterList': ['.*'],
                                           'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                           'ErrorsPrint': True,
                                           'ExtraInputs': [],
                                           'ExtraOutputs': [],
                                           'MajAxProj': 20.0,
                                           'MaxChi2POffset': 100.0,
                                           'MaxChi2Slope': 25000.0,
                                           'MaxChi2Tol': 2.0,
                                           'MinAxProj': 2.0,
                                           'MonitorService': 'MonitorSvc',
                                           'OutputLevel': 0,
                                           'PrintEmptyCounters': False,
                                           'PropertiesPrint': False,
                                           'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                           'RootInTES': '',
                                           'StatEntityList': [],
                                           'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                           'TypePrint': True,
                                           'UTHitsLocation': DataHandle("UT/UTHits"),
                                           'UTParam': 29.0,
                                           'UseEfficiencyRowFormat': True,
                                           'XTol': 1.0,
                                           'XTolSlope': 30000.0,
                                           'YTolSlope': 20000.0,
                                           'ZMSPoint': 400.0,
                                           'ZUTField': 1740.0,
                                           'ZUTProj': 2500.0},
 'PrGECFilter': {'AuditAlgorithms': False,
                 'AuditBeginRun': False,
                 'AuditEndRun': False,
                 'AuditExecute': False,
                 'AuditFinalize': False,
                 'AuditInitialize': False,
                 'AuditReinitialize': False,
                 'AuditRestart': False,
                 'AuditStart': False,
                 'AuditStop': False,
                 'Cardinality': 0,
                 'ClusterMaxWidth': 4,
                 'Context': '',
                 'CounterList': ['.*'],
                 'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                 'Enable': True,
                 'ErrorCount': 0,
                 'ErrorMax': 1,
                 'ErrorsPrint': True,
                 'ExtraInputs': ['/Event/IOVLock'],
                 'ExtraOutputs': [],
                 'FilterCircularDependencies': True,
                 'IsIOBound': False,
                 'MonitorService': 'MonitorSvc',
                 'NeededResources': [],
                 'NumberFTUTClusters': 9750,
                 'OutputLevel': 0,
                 'PrintEmptyCounters': False,
                 'PropertiesPrint': False,
                 'RawEventLocations': DataHandle("Tracker/RawEvent:Other/RawEvent:DAQ/RawEvent"),
                 'RegisterForContextService': True,
                 'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                 'RequireObjects': [],
                 'RootInTES': '',
                 'StatEntityList': [],
                 'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                 'Timeline': True,
                 'TypePrint': True,
                 'UseEfficiencyRowFormat': True,
                 'VetoObjects': []},
 'PrPixelTracking': {'AddQoverP': True,
                     'AlgoConfig': 'ForwardThenBackward',
                     'AuditAlgorithms': False,
                     'AuditBeginRun': False,
                     'AuditEndRun': False,
                     'AuditExecute': False,
                     'AuditFinalize': False,
                     'AuditInitialize': False,
                     'AuditReinitialize': False,
                     'AuditRestart': False,
                     'AuditStart': False,
                     'AuditStop': False,
                     'BoostPhysics': False,
                     'Cardinality': 0,
                     'ClosestToBeamStateKalmanFit': True,
                     'ClusterLocation': DataHandle("Raw/VP/LightClusters"),
                     'ClusterOffsets': DataHandle("Raw/VP/LightClustersOffsets"),
                     'Context': '',
                     'CounterList': ['.*'],
                     'DoDrDzCut': True,
                     'EarlyKill3HitTracks': True,
                     'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                     'Enable': True,
                     'EndVeloStateKalmanFit': False,
                     'ErrorCount': 0,
                     'ErrorMax': 1,
                     'ErrorsPrint': True,
                     'ExtraInputs': ['/Event/IOVLock'],
                     'ExtraOutputs': [],
                     'ExtraTol': 0.6,
                     'FilterCircularDependencies': True,
                     'FractionUnused': 0.5,
                     'HardFlagging': True,
                     'IsIOBound': False,
                     'MaxChi2Short': 20.0,
                     'MaxMissedConsecutive': 1,
                     'MaxMissedOnTrack': 2,
                     'MaxScatter': 0.004,
                     'MaxXSlope': 0.4,
                     'MaxYSlope': 0.4,
                     'MaxZ_BackwardTracks': 100.0,
                     'MinZ_ForwardTracks': -100.0,
                     'ModulesToSkip': [],
                     'ModulesToSkipForPairs': [],
                     'MonitorService': 'MonitorSvc',
                     'NeededResources': [],
                     'OutputLevel': 0,
                     'OutputTracksName': DataHandle("/Event/Rec/Track/Velo"),
                     'PhiWindow': 2.5,
                     'PhiWindowExtrapolation': 2.5,
                     'PhiWindowsPerRegionForward': [5.0, 15.0, 10.0, 30.0],
                     'PrintEmptyCounters': False,
                     'PropertiesPrint': False,
                     'RegisterForContextService': True,
                     'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                     'RequireObjects': [],
                     'RootInTES': '',
                     'SkipLoopSens': True,
                     'StatEntityList': [],
                     'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                     'Timeline': True,
                     'TracksBackwardLocation': DataHandle("Rec/Track/VeloBackward"),
                     'TypePrint': True,
                     'UseEfficiencyRowFormat': True,
                     'UsePhiPerRegionsForward': False,
                     'VPTrackingInfo': '/dd/Structure/LHCb/BeforeMagnetRegion/VP/VPTrackingInfo-DefaultName',
                     'VetoObjects': [],
                     'ptVelo': 400.0},
 'PrStoreFTHit': {'AuditAlgorithms': False,
                  'AuditBeginRun': False,
                  'AuditEndRun': False,
                  'AuditExecute': False,
                  'AuditFinalize': False,
                  'AuditInitialize': False,
                  'AuditReinitialize': False,
                  'AuditRestart': False,
                  'AuditStart': False,
                  'AuditStop': False,
                  'Cardinality': 0,
                  'Context': '',
                  'CounterList': ['.*'],
                  'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                  'Enable': True,
                  'ErrorCount': 0,
                  'ErrorMax': 1,
                  'ErrorsPrint': True,
                  'ExtraInputs': ['/Event/IOVLock'],
                  'ExtraOutputs': [],
                  'FTHitsLocation': DataHandle("FT/FTHits"),
                  'FilterCircularDependencies': True,
                  'InputLocation': DataHandle("Raw/FT/LiteClusters"),
                  'IsIOBound': False,
                  'MonitorService': 'MonitorSvc',
                  'NeededResources': [],
                  'OutputLevel': 0,
                  'PrintEmptyCounters': False,
                  'PropertiesPrint': False,
                  'RegisterForContextService': True,
                  'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                  'RequireObjects': [],
                  'RootInTES': '',
                  'StatEntityList': [],
                  'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                  'Timeline': True,
                  'TypePrint': True,
                  'UseEfficiencyRowFormat': True,
                  'VetoObjects': []},
 'PrStoreUTHit': {'AuditAlgorithms': False,
                  'AuditBeginRun': False,
                  'AuditEndRun': False,
                  'AuditExecute': False,
                  'AuditFinalize': False,
                  'AuditInitialize': False,
                  'AuditReinitialize': False,
                  'AuditRestart': False,
                  'AuditStart': False,
                  'AuditStop': False,
                  'Cardinality': 0,
                  'Context': '',
                  'CounterList': ['.*'],
                  'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                  'Enable': True,
                  'ErrorCount': 0,
                  'ErrorMax': 1,
                  'ErrorsPrint': True,
                  'ExtraInputs': ['/Event/IOVLock'],
                  'ExtraOutputs': [],
                  'FilterCircularDependencies': True,
                  'IsIOBound': False,
                  'MonitorService': 'MonitorSvc',
                  'NeededResources': [],
                  'OutputLevel': 0,
                  'PrintEmptyCounters': False,
                  'PropertiesPrint': False,
                  'RawEventLocations': DataHandle("Tracker/RawEvent:Other/RawEvent:DAQ/RawEvent"),
                  'ReadoutTool': 'UTReadoutTool/UTReadoutTool',
                  'RegisterForContextService': True,
                  'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                  'RequireObjects': [],
                  'RootInTES': '',
                  'StatEntityList': [],
                  'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                  'Timeline': True,
                  'TypePrint': True,
                  'UTHitsLocation': DataHandle("UT/UTHits"),
                  'UseEfficiencyRowFormat': True,
                  'VetoObjects': [],
                  'recoverMode': True,
                  'skipBanksWithErrors': True},
 'PrStoreUTHit.UTReadoutTool': {'AuditFinalize': False,
                                'AuditInitialize': False,
                                'AuditReinitialize': False,
                                'AuditRestart': False,
                                'AuditStart': False,
                                'AuditStop': False,
                                'AuditTools': False,
                                'Context': '',
                                'ContextService': 'AlgContextSvc',
                                'CounterList': ['.*'],
                                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                'ErrorsPrint': True,
                                'ExtraInputs': [],
                                'ExtraOutputs': [],
                                'MonitorService': 'MonitorSvc',
                                'OutputLevel': 0,
                                'PrintEmptyCounters': False,
                                'PropertiesPrint': False,
                                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                'RootInTES': '',
                                'StatEntityList': [],
                                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                'TypePrint': True,
                                'UseEfficiencyRowFormat': True,
                                'author': 'Joe Bloggs',
                                'conditionLocation': '/dd/Conditions/ReadoutConf/UT/ReadoutMap',
                                'depths': 3,
                                'description': 'BlahBlahBlah',
                                'footer': '</DDDB>',
                                'outputFile': 'ReadoutMap.xml',
                                'precision': 16,
                                'printMapping': False,
                                'removeCondb': False,
                                'startTag': '<condition',
                                'tag': 'None',
                                'writeMappingToXML': False},
 'PrVeloUTFast': {'AuditAlgorithms': False,
                  'AuditBeginRun': False,
                  'AuditEndRun': False,
                  'AuditExecute': False,
                  'AuditFinalize': False,
                  'AuditInitialize': False,
                  'AuditReinitialize': False,
                  'AuditRestart': False,
                  'AuditStart': False,
                  'AuditStop': False,
                  'Cardinality': 0,
                  'Context': '',
                  'CounterList': ['.*'],
                  'DeltaTx1': 0.035,
                  'DeltaTx2': 0.018,
                  'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                  'Enable': True,
                  'ErrorCount': 0,
                  'ErrorMax': 1,
                  'ErrorsPrint': True,
                  'ExtraInputs': ['/Event/IOVLock'],
                  'ExtraOutputs': [],
                  'FiducialCuts': True,
                  'FilterCircularDependencies': True,
                  'FinalFit': True,
                  'HitTol1': 6.0,
                  'HitTol2': 0.8,
                  'InputTracksName': DataHandle("/Event/Rec/Track/Velo"),
                  'IntraLayerDist': 15.0,
                  'IsIOBound': False,
                  'LD3HitsMin': -0.5,
                  'LD4HitsMin': -0.5,
                  'MaxXSlope': 0.35,
                  'MaxYSlope': 0.3,
                  'MonitorService': 'MonitorSvc',
                  'NeededResources': [],
                  'OutputLevel': 0,
                  'OutputTracksName': DataHandle("/Event/Rec/Track/Upstream"),
                  'OverlapTol': 0.7,
                  'PassHoleSize': 40.0,
                  'PassTracks': False,
                  'PrUTMagnetTool': 'PrUTMagnetTool/PrUTMagnetTool',
                  'PrintEmptyCounters': False,
                  'PrintVariables': False,
                  'PropertiesPrint': False,
                  'RegisterForContextService': True,
                  'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                  'RequireObjects': [],
                  'RootInTES': '',
                  'SequencerTimerTool': 'SequencerTimerTool/SequencerTimerTool',
                  'StatEntityList': [],
                  'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                  'Timeline': True,
                  'TimingMeasurement': False,
                  'TypePrint': True,
                  'UTHits': DataHandle("UT/UTHits"),
                  'UseEfficiencyRowFormat': True,
                  'VetoObjects': [],
                  'YTolSlope': 0.08,
                  'YTolerance': 0.5,
                  'centralHoleSize': 33.0,
                  'maxPseudoChi2': 1280.0,
                  'minMomentum': 1500.0,
                  'minMomentumFinal': 2500.0,
                  'minPT': 300.0,
                  'minPTFinal': 425.0},
 'PrVeloUTFast.PrUTMagnetTool': {'AuditFinalize': False,
                                 'AuditInitialize': False,
                                 'AuditReinitialize': False,
                                 'AuditRestart': False,
                                 'AuditStart': False,
                                 'AuditStop': False,
                                 'AuditTools': False,
                                 'Context': '',
                                 'ContextService': 'AlgContextSvc',
                                 'CounterList': ['.*'],
                                 'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                 'ErrorsPrint': True,
                                 'ExtraInputs': [],
                                 'ExtraOutputs': [],
                                 'MonitorService': 'MonitorSvc',
                                 'OutputLevel': 0,
                                 'PrintEmptyCounters': False,
                                 'PropertiesPrint': False,
                                 'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                 'RootInTES': '',
                                 'StatEntityList': [],
                                 'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                 'TypePrint': True,
                                 'UseEfficiencyRowFormat': True},
 'PrVeloUTFast.SequencerTimerTool': {'AuditFinalize': False,
                                     'AuditInitialize': False,
                                     'AuditReinitialize': False,
                                     'AuditRestart': False,
                                     'AuditStart': False,
                                     'AuditStop': False,
                                     'AuditTools': False,
                                     'AutoStringIDPurgeMap': {'/': '=SLASH='},
                                     'Context': '',
                                     'ContextService': 'AlgContextSvc',
                                     'CounterList': ['.*'],
                                     'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                     'ErrorsPrint': True,
                                     'ExtraInputs': [],
                                     'ExtraOutputs': [],
                                     'FormatFor1DHistoTable': '| %2$-45.45s | %3$=7d |%8$11.5g | %10$-11.5g|%12$11.5g |%14$11.5g |',
                                     'FullDetail': False,
                                     'GlobalTiming': False,
                                     'HeaderFor1DHistoTable': '|   Title                                       |    #    |     Mean   |    RMS     |  Skewness  |  Kurtosis  |',
                                     'HistoCheckForNaN': True,
                                     'HistoCountersPrint': True,
                                     'HistoDir': 'AlgTool',
                                     'HistoOffSet': 0,
                                     'HistoPrint': False,
                                     'HistoProduce': False,
                                     'HistoSplitDir': False,
                                     'HistoTopDir': '',
                                     'MonitorHistograms': True,
                                     'MonitorService': 'MonitorSvc',
                                     'NameSize': 30,
                                     'Normalised': False,
                                     'OutputLevel': 0,
                                     'PrintEmptyCounters': False,
                                     'PropertiesPrint': False,
                                     'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                     'RootInTES': '',
                                     'ShortFormatFor1DHistoTable': ' | %1$-25.25s %2%',
                                     'Shots': 3500000,
                                     'StatEntityList': [],
                                     'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                     'TypePrint': True,
                                     'UseEfficiencyRowFormat': True,
                                     'UseSequencialNumericAutoIDs': False},
 'ReserveIOV': {'AuditAlgorithms': False,
                'AuditBeginRun': False,
                'AuditEndRun': False,
                'AuditExecute': False,
                'AuditFinalize': False,
                'AuditInitialize': False,
                'AuditReinitialize': False,
                'AuditRestart': False,
                'AuditStart': False,
                'AuditStop': False,
                'Cardinality': 0,
                'Context': '',
                'CounterList': ['.*'],
                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                'Enable': True,
                'ErrorCount': 0,
                'ErrorMax': 1,
                'ErrorsPrint': True,
                'ExtraInputs': [],
                'ExtraOutputs': [],
                'FilterCircularDependencies': True,
                'IOVLock': DataHandle("IOVLock"),
                'IsIOBound': False,
                'MonitorService': 'MonitorSvc',
                'NeededResources': [],
                'ODIN': DataHandle("/Event/DAQ/DummyODIN"),
                'OutputLevel': 0,
                'PreloadGeometry': True,
                'PrintEmptyCounters': False,
                'PropertiesPrint': False,
                'RegisterForContextService': True,
                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                'RequireObjects': [],
                'RootInTES': '',
                'StatEntityList': [],
                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                'Timeline': True,
                'TypePrint': True,
                'UseEfficiencyRowFormat': True,
                'VetoObjects': []},
 'RootCnvSvc': {'AuditFinalize': False,
                'AuditInitialize': False,
                'AuditReinitialize': False,
                'AuditRestart': False,
                'AuditServices': False,
                'AuditStart': False,
                'AuditStop': False,
                'AutoFlush': 100,
                'BasketSize': 2097152,
                'BufferSize': 2048,
                'CacheBranches': [],
                'CacheSize': 10485760,
                'EnableIncident': True,
                'GlobalCompression': '',
                'IOPerfStats': '',
                'LearnEntries': 10,
                'LoadSection': 'Event',
                'OutputLevel': 0,
                'RecordsName': '/FileRecords',
                'ShareFiles': 'NO',
                'SplitLevel': 0,
                'VetoBranches': ['*']},
 'SOAFilter__TrackWithMuonIDView': {'AuditAlgorithms': False,
                                    'AuditBeginRun': False,
                                    'AuditEndRun': False,
                                    'AuditExecute': False,
                                    'AuditFinalize': False,
                                    'AuditInitialize': False,
                                    'AuditReinitialize': False,
                                    'AuditRestart': False,
                                    'AuditStart': False,
                                    'AuditStop': False,
                                    'Cardinality': 0,
                                    'Code': '( ::Functors::Track::IsMuon{} & ( ::Functors::Track::TransverseMomentum{} > 750.0f ) )',
                                    'Context': '',
                                    'CounterList': ['.*'],
                                    'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                    'Enable': True,
                                    'ErrorCount': 0,
                                    'ErrorMax': 1,
                                    'ErrorsPrint': True,
                                    'ExtraInputs': ['/Event/IOVLock'],
                                    'ExtraOutputs': [],
                                    'Factory': 'FunctorFactory/PrTrackFunctorFactory',
                                    'FilterCircularDependencies': True,
                                    'Headers': ['Functors/TrackLike.h'],
                                    'Input': DataHandle("/Event/Rec/View/ForwardWithMuonID"),
                                    'InputSelection': DataHandle("Rec/Sel/Forward"),
                                    'IsIOBound': False,
                                    'MonitorService': 'MonitorSvc',
                                    'NeededResources': [],
                                    'Output': DataHandle("Rec/View/ForwardWithMuonIDSelected"),
                                    'OutputLevel': 0,
                                    'PrintEmptyCounters': False,
                                    'PropertiesPrint': False,
                                    'RegisterForContextService': True,
                                    'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                    'RequireObjects': [],
                                    'RootInTES': '',
                                    'StatEntityList': [],
                                    'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                    'Timeline': True,
                                    'TypePrint': True,
                                    'UseEfficiencyRowFormat': True,
                                    'VetoObjects': []},
 'ToolSvc.DetailedMaterialLocator': {'AuditFinalize': False,
                                     'AuditInitialize': False,
                                     'AuditReinitialize': False,
                                     'AuditRestart': False,
                                     'AuditStart': False,
                                     'AuditStop': False,
                                     'AuditTools': False,
                                     'Context': '',
                                     'ContextService': 'AlgContextSvc',
                                     'CounterList': ['.*'],
                                     'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                     'ErrorsPrint': True,
                                     'ExtraInputs': [],
                                     'ExtraOutputs': [],
                                     'GeneralDedxToolName': 'StateDetailedBetheBlochEnergyCorrectionTool',
                                     'Geometry': '/dd/Structure/LHCb',
                                     'MinRadThickness': 0.0001,
                                     'MonitorService': 'MonitorSvc',
                                     'OutputLevel': 0,
                                     'PrintEmptyCounters': False,
                                     'PropertiesPrint': False,
                                     'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                     'RootInTES': '',
                                     'StatEntityList': [],
                                     'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                     'StateMSCorrectionToolName': 'StateThickMSCorrectionTool',
                                     'TypePrint': True,
                                     'UseEfficiencyRowFormat': True},
 'ToolSvc.EntityResolverDispatcher': {'AuditFinalize': False,
                                      'AuditInitialize': False,
                                      'AuditReinitialize': False,
                                      'AuditRestart': False,
                                      'AuditStart': False,
                                      'AuditStop': False,
                                      'AuditTools': False,
                                      'EntityResolvers': ['GitEntityResolver/GitDDDB',
                                                          'GitEntityResolver/GitSIMCOND'],
                                      'ExtraInputs': [],
                                      'ExtraOutputs': [],
                                      'Mappings': [('^conddb:', 'git:')],
                                      'MonitorService': 'MonitorSvc',
                                      'OutputLevel': 0},
 'ToolSvc.FTMeasurementProvider': {'AuditFinalize': False,
                                   'AuditInitialize': False,
                                   'AuditReinitialize': False,
                                   'AuditRestart': False,
                                   'AuditStart': False,
                                   'AuditStop': False,
                                   'AuditTools': False,
                                   'ClusterLocation': DataHandle("Raw/FT/LiteClusters"),
                                   'Context': '',
                                   'ContextService': 'AlgContextSvc',
                                   'CounterList': ['.*'],
                                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                   'ErrorsPrint': True,
                                   'ExtraInputs': [],
                                   'ExtraOutputs': [],
                                   'MonitorService': 'MonitorSvc',
                                   'OutputLevel': 0,
                                   'PrintEmptyCounters': False,
                                   'PropertiesPrint': False,
                                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                   'RootInTES': '',
                                   'StatEntityList': [],
                                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                   'TypePrint': True,
                                   'UseEfficiencyRowFormat': True},
 'ToolSvc.GitDDDB': {'AuditFinalize': False,
                     'AuditInitialize': False,
                     'AuditReinitialize': False,
                     'AuditRestart': False,
                     'AuditStart': False,
                     'AuditStop': False,
                     'AuditTools': False,
                     'Commit': 'upgrade/dddb-20180815',
                     'DetDataSvc': 'DetectorDataSvc',
                     'ExtraInputs': [],
                     'ExtraOutputs': [],
                     'Ignore': 'Conditions/.*',
                     'LimitToLastCommitTime': False,
                     'MonitorService': 'MonitorSvc',
                     'OutputLevel': 3,
                     'PathToRepository': '/cvmfs/lhcb.cern.ch/lib/lhcb/git-conddb/DDDB.git'},
 'ToolSvc.GitSIMCOND': {'AuditFinalize': False,
                        'AuditInitialize': False,
                        'AuditReinitialize': False,
                        'AuditRestart': False,
                        'AuditStart': False,
                        'AuditStop': False,
                        'AuditTools': False,
                        'Commit': 'upgrade/sim-20180530-vc-md100',
                        'DetDataSvc': 'DetectorDataSvc',
                        'ExtraInputs': [],
                        'ExtraOutputs': [],
                        'Ignore': '',
                        'LimitToLastCommitTime': False,
                        'MonitorService': 'MonitorSvc',
                        'OutputLevel': 3,
                        'PathToRepository': '/cvmfs/lhcb.cern.ch/lib/lhcb/git-conddb/SIMCOND.git'},
 'ToolSvc.MeasurementProvider': {'AuditFinalize': False,
                                 'AuditInitialize': False,
                                 'AuditReinitialize': False,
                                 'AuditRestart': False,
                                 'AuditStart': False,
                                 'AuditStop': False,
                                 'AuditTools': False,
                                 'Context': '',
                                 'ContextService': 'AlgContextSvc',
                                 'CounterList': ['.*'],
                                 'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                 'ErrorsPrint': True,
                                 'ExtraInputs': [],
                                 'ExtraOutputs': [],
                                 'FTProvider': 'FTMeasurementProvider/FTMeasurementProvider',
                                 'IgnoreFT': False,
                                 'IgnoreMuon': True,
                                 'IgnoreUT': False,
                                 'IgnoreVP': False,
                                 'InitializeReference': True,
                                 'MonitorService': 'MonitorSvc',
                                 'MuonProvider': 'MuonMeasurementProvider/MuonMeasurementProvider',
                                 'OutputLevel': 0,
                                 'PrintEmptyCounters': False,
                                 'PropertiesPrint': False,
                                 'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                 'RootInTES': '',
                                 'StatEntityList': [],
                                 'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                 'TypePrint': True,
                                 'UTProvider': 'MeasurementProviderT<MeasurementProviderTypes::UTLite>/UTMeasurementProvider',
                                 'UseEfficiencyRowFormat': True,
                                 'VPProvider': 'MeasurementProviderT<MeasurementProviderTypes::VP>/VPMeasurementProvider'},
 'ToolSvc.MeasurementProvider.FTMeasurementProvider': {'AuditFinalize': False,
                                                       'AuditInitialize': False,
                                                       'AuditReinitialize': False,
                                                       'AuditRestart': False,
                                                       'AuditStart': False,
                                                       'AuditStop': False,
                                                       'AuditTools': False,
                                                       'ClusterLocation': DataHandle("Raw/FT/LiteClusters"),
                                                       'Context': '',
                                                       'ContextService': 'AlgContextSvc',
                                                       'CounterList': ['.*'],
                                                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                       'ErrorsPrint': True,
                                                       'ExtraInputs': [],
                                                       'ExtraOutputs': [],
                                                       'MonitorService': 'MonitorSvc',
                                                       'OutputLevel': 0,
                                                       'PrintEmptyCounters': False,
                                                       'PropertiesPrint': False,
                                                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                       'RootInTES': '',
                                                       'StatEntityList': [],
                                                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                       'TypePrint': True,
                                                       'UseEfficiencyRowFormat': True},
 'ToolSvc.MeasurementProvider.MuonMeasurementProvider': {'AuditFinalize': False,
                                                         'AuditInitialize': False,
                                                         'AuditReinitialize': False,
                                                         'AuditRestart': False,
                                                         'AuditStart': False,
                                                         'AuditStop': False,
                                                         'AuditTools': False,
                                                         'Context': '',
                                                         'ContextService': 'AlgContextSvc',
                                                         'CounterList': ['.*'],
                                                         'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                         'ErrorsPrint': True,
                                                         'ExtraInputs': [],
                                                         'ExtraOutputs': [],
                                                         'MonitorService': 'MonitorSvc',
                                                         'OutputLevel': 0,
                                                         'PrintEmptyCounters': False,
                                                         'PropertiesPrint': False,
                                                         'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                         'RootInTES': '',
                                                         'StatEntityList': [],
                                                         'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                         'TypePrint': True,
                                                         'UseEfficiencyRowFormat': True,
                                                         'clusterize': False},
 'ToolSvc.MeasurementProvider.UTMeasurementProvider': {'AuditFinalize': False,
                                                       'AuditInitialize': False,
                                                       'AuditReinitialize': False,
                                                       'AuditRestart': False,
                                                       'AuditStart': False,
                                                       'AuditStop': False,
                                                       'AuditTools': False,
                                                       'ClusterLocation': DataHandle("UT/UTHits"),
                                                       'Context': '',
                                                       'ContextService': 'AlgContextSvc',
                                                       'CounterList': ['.*'],
                                                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                       'ErrorsPrint': True,
                                                       'ExtraInputs': [],
                                                       'ExtraOutputs': [],
                                                       'MonitorService': 'MonitorSvc',
                                                       'OutputLevel': 0,
                                                       'PrintEmptyCounters': False,
                                                       'PropertiesPrint': False,
                                                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                       'RootInTES': '',
                                                       'StatEntityList': [],
                                                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                       'TypePrint': True,
                                                       'UseEfficiencyRowFormat': True,
                                                       'UseReference': True},
 'ToolSvc.MeasurementProvider.VPMeasurementProvider': {'AuditFinalize': False,
                                                       'AuditInitialize': False,
                                                       'AuditReinitialize': False,
                                                       'AuditRestart': False,
                                                       'AuditStart': False,
                                                       'AuditStop': False,
                                                       'AuditTools': False,
                                                       'ClusterLocation': DataHandle("Raw/VP/LightClusters"),
                                                       'Context': '',
                                                       'ContextService': 'AlgContextSvc',
                                                       'CounterList': ['.*'],
                                                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                       'ErrorsPrint': True,
                                                       'ExtraInputs': [],
                                                       'ExtraOutputs': [],
                                                       'MonitorService': 'MonitorSvc',
                                                       'OutputLevel': 0,
                                                       'PrintEmptyCounters': False,
                                                       'PropertiesPrint': False,
                                                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                       'RootInTES': '',
                                                       'StatEntityList': [],
                                                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                       'TypePrint': True,
                                                       'UseEfficiencyRowFormat': True,
                                                       'UseReference': True},
 'ToolSvc.MuonMeasurementProvider': {'AuditFinalize': False,
                                     'AuditInitialize': False,
                                     'AuditReinitialize': False,
                                     'AuditRestart': False,
                                     'AuditStart': False,
                                     'AuditStop': False,
                                     'AuditTools': False,
                                     'Context': '',
                                     'ContextService': 'AlgContextSvc',
                                     'CounterList': ['.*'],
                                     'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                     'ErrorsPrint': True,
                                     'ExtraInputs': [],
                                     'ExtraOutputs': [],
                                     'MonitorService': 'MonitorSvc',
                                     'OutputLevel': 0,
                                     'PrintEmptyCounters': False,
                                     'PropertiesPrint': False,
                                     'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                     'RootInTES': '',
                                     'StatEntityList': [],
                                     'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                     'TypePrint': True,
                                     'UseEfficiencyRowFormat': True,
                                     'clusterize': False},
 'ToolSvc.PrAddUTHitsTool': {'AuditFinalize': False,
                             'AuditInitialize': False,
                             'AuditReinitialize': False,
                             'AuditRestart': False,
                             'AuditStart': False,
                             'AuditStop': False,
                             'AuditTools': False,
                             'Context': '',
                             'ContextService': 'AlgContextSvc',
                             'CounterList': ['.*'],
                             'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                             'ErrorsPrint': True,
                             'ExtraInputs': [],
                             'ExtraOutputs': [],
                             'MajAxProj': 20.0,
                             'MaxChi2POffset': 100.0,
                             'MaxChi2Slope': 25000.0,
                             'MaxChi2Tol': 2.0,
                             'MinAxProj': 2.0,
                             'MonitorService': 'MonitorSvc',
                             'OutputLevel': 0,
                             'PrintEmptyCounters': False,
                             'PropertiesPrint': False,
                             'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                             'RootInTES': '',
                             'StatEntityList': [],
                             'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                             'TypePrint': True,
                             'UTHitsLocation': DataHandle("UT/UTHits"),
                             'UTParam': 29.0,
                             'UseEfficiencyRowFormat': True,
                             'XTol': 1.0,
                             'XTolSlope': 30000.0,
                             'YTolSlope': 20000.0,
                             'ZMSPoint': 400.0,
                             'ZUTField': 1740.0,
                             'ZUTProj': 2500.0},
 'ToolSvc.PrUTMagnetTool': {'AuditFinalize': False,
                            'AuditInitialize': False,
                            'AuditReinitialize': False,
                            'AuditRestart': False,
                            'AuditStart': False,
                            'AuditStop': False,
                            'AuditTools': False,
                            'Context': '',
                            'ContextService': 'AlgContextSvc',
                            'CounterList': ['.*'],
                            'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                            'ErrorsPrint': True,
                            'ExtraInputs': [],
                            'ExtraOutputs': [],
                            'MonitorService': 'MonitorSvc',
                            'OutputLevel': 0,
                            'PrintEmptyCounters': False,
                            'PropertiesPrint': False,
                            'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                            'RootInTES': '',
                            'StatEntityList': [],
                            'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                            'TypePrint': True,
                            'UseEfficiencyRowFormat': True},
 'ToolSvc.SequencerTimerTool': {'AuditFinalize': False,
                                'AuditInitialize': False,
                                'AuditReinitialize': False,
                                'AuditRestart': False,
                                'AuditStart': False,
                                'AuditStop': False,
                                'AuditTools': False,
                                'AutoStringIDPurgeMap': {'/': '=SLASH='},
                                'Context': '',
                                'ContextService': 'AlgContextSvc',
                                'CounterList': ['.*'],
                                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                'ErrorsPrint': True,
                                'ExtraInputs': [],
                                'ExtraOutputs': [],
                                'FormatFor1DHistoTable': '| %2$-45.45s | %3$=7d |%8$11.5g | %10$-11.5g|%12$11.5g |%14$11.5g |',
                                'FullDetail': False,
                                'GlobalTiming': False,
                                'HeaderFor1DHistoTable': '|   Title                                       |    #    |     Mean   |    RMS     |  Skewness  |  Kurtosis  |',
                                'HistoCheckForNaN': True,
                                'HistoCountersPrint': True,
                                'HistoDir': 'AlgTool',
                                'HistoOffSet': 0,
                                'HistoPrint': False,
                                'HistoProduce': False,
                                'HistoSplitDir': False,
                                'HistoTopDir': '',
                                'MonitorHistograms': True,
                                'MonitorService': 'MonitorSvc',
                                'NameSize': 30,
                                'Normalised': False,
                                'OutputLevel': 0,
                                'PrintEmptyCounters': False,
                                'PropertiesPrint': False,
                                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                'RootInTES': '',
                                'ShortFormatFor1DHistoTable': ' | %1$-25.25s %2%',
                                'Shots': 3500000,
                                'StatEntityList': [],
                                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                'TypePrint': True,
                                'UseEfficiencyRowFormat': True,
                                'UseSequencialNumericAutoIDs': False},
 'ToolSvc.SimplifiedMaterialLocator': {'AuditFinalize': False,
                                       'AuditInitialize': False,
                                       'AuditReinitialize': False,
                                       'AuditRestart': False,
                                       'AuditStart': False,
                                       'AuditStop': False,
                                       'AuditTools': False,
                                       'Context': '',
                                       'ContextService': 'AlgContextSvc',
                                       'CounterList': ['.*'],
                                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                       'ErrorsPrint': True,
                                       'ExtraInputs': [],
                                       'ExtraOutputs': [],
                                       'GeneralDedxToolName': 'StateDetailedBetheBlochEnergyCorrectionTool',
                                       'Geometry': '/dd/TrackfitGeometry/Geometry/lvLHCb',
                                       'MonitorService': 'MonitorSvc',
                                       'OutputLevel': 0,
                                       'PrintEmptyCounters': False,
                                       'PropertiesPrint': False,
                                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                       'RootInTES': '',
                                       'StatEntityList': [],
                                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                       'StateMSCorrectionToolName': 'StateThickMSCorrectionTool',
                                       'TypePrint': True,
                                       'UseEfficiencyRowFormat': True},
 'ToolSvc.TrackDistanceExtraSelector': {'AuditFinalize': False,
                                        'AuditInitialize': False,
                                        'AuditReinitialize': False,
                                        'AuditRestart': False,
                                        'AuditStart': False,
                                        'AuditStop': False,
                                        'AuditTools': False,
                                        'Context': '',
                                        'ContextService': 'AlgContextSvc',
                                        'CounterList': ['.*'],
                                        'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                        'ErrorsPrint': True,
                                        'ExtraInputs': [],
                                        'ExtraOutputs': [],
                                        'LongDistanceExtrapolatorType': 'TrackRungeKuttaExtrapolator',
                                        'MonitorService': 'MonitorSvc',
                                        'OutputLevel': 0,
                                        'PrintEmptyCounters': False,
                                        'PropertiesPrint': False,
                                        'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                        'RootInTES': '',
                                        'ShortDistanceExtrapolatorType': 'TrackParabolicExtrapolator',
                                        'StatEntityList': [],
                                        'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                        'TypePrint': True,
                                        'UseEfficiencyRowFormat': True,
                                        'shortDist': 100.0},
 'ToolSvc.TrackMasterExtrapolator': {'ApplyElectronEnergyLossCorr': True,
                                     'ApplyEnergyLossCorr': True,
                                     'ApplyMultScattCorr': True,
                                     'AuditFinalize': False,
                                     'AuditInitialize': False,
                                     'AuditReinitialize': False,
                                     'AuditRestart': False,
                                     'AuditStart': False,
                                     'AuditStop': False,
                                     'AuditTools': False,
                                     'Context': '',
                                     'ContextService': 'AlgContextSvc',
                                     'CounterList': ['.*'],
                                     'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                     'ErrorsPrint': True,
                                     'ExtraInputs': [],
                                     'ExtraOutputs': [],
                                     'ExtraSelector': 'TrackDistanceExtraSelector/TrackDistanceExtraSelector',
                                     'Iterations': 5,
                                     'MaterialLocator': 'DetailedMaterialLocator/DetailedMaterialLocator',
                                     'MaxSlope': 5.0,
                                     'MaxStepSize': 1000.0,
                                     'MaxTransverse': 10000.0,
                                     'MonitorService': 'MonitorSvc',
                                     'OutputLevel': 0,
                                     'PrintEmptyCounters': False,
                                     'PropertiesPrint': False,
                                     'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                     'RootInTES': '',
                                     'StatEntityList': [],
                                     'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                     'TypePrint': True,
                                     'UseEfficiencyRowFormat': True},
 'ToolSvc.TrackMasterExtrapolator.DetailedMaterialLocator': {'AuditFinalize': False,
                                                             'AuditInitialize': False,
                                                             'AuditReinitialize': False,
                                                             'AuditRestart': False,
                                                             'AuditStart': False,
                                                             'AuditStop': False,
                                                             'AuditTools': False,
                                                             'Context': '',
                                                             'ContextService': 'AlgContextSvc',
                                                             'CounterList': ['.*'],
                                                             'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                             'ErrorsPrint': True,
                                                             'ExtraInputs': [],
                                                             'ExtraOutputs': [],
                                                             'GeneralDedxToolName': 'StateDetailedBetheBlochEnergyCorrectionTool',
                                                             'Geometry': '/dd/Structure/LHCb',
                                                             'MinRadThickness': 0.0001,
                                                             'MonitorService': 'MonitorSvc',
                                                             'OutputLevel': 0,
                                                             'PrintEmptyCounters': False,
                                                             'PropertiesPrint': False,
                                                             'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                             'RootInTES': '',
                                                             'StatEntityList': [],
                                                             'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                             'StateMSCorrectionToolName': 'StateThickMSCorrectionTool',
                                                             'TypePrint': True,
                                                             'UseEfficiencyRowFormat': True},
 'ToolSvc.TrackMasterExtrapolator.TrackDistanceExtraSelector': {'AuditFinalize': False,
                                                                'AuditInitialize': False,
                                                                'AuditReinitialize': False,
                                                                'AuditRestart': False,
                                                                'AuditStart': False,
                                                                'AuditStop': False,
                                                                'AuditTools': False,
                                                                'Context': '',
                                                                'ContextService': 'AlgContextSvc',
                                                                'CounterList': ['.*'],
                                                                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                                                'ErrorsPrint': True,
                                                                'ExtraInputs': [],
                                                                'ExtraOutputs': [],
                                                                'LongDistanceExtrapolatorType': 'TrackRungeKuttaExtrapolator',
                                                                'MonitorService': 'MonitorSvc',
                                                                'OutputLevel': 0,
                                                                'PrintEmptyCounters': False,
                                                                'PropertiesPrint': False,
                                                                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                                                'RootInTES': '',
                                                                'ShortDistanceExtrapolatorType': 'TrackParabolicExtrapolator',
                                                                'StatEntityList': [],
                                                                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                                                'TypePrint': True,
                                                                'UseEfficiencyRowFormat': True,
                                                                'shortDist': 100.0},
 'ToolSvc.UTMeasurementProvider': {'AuditFinalize': False,
                                   'AuditInitialize': False,
                                   'AuditReinitialize': False,
                                   'AuditRestart': False,
                                   'AuditStart': False,
                                   'AuditStop': False,
                                   'AuditTools': False,
                                   'ClusterLocation': DataHandle("UT/UTHits"),
                                   'Context': '',
                                   'ContextService': 'AlgContextSvc',
                                   'CounterList': ['.*'],
                                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                   'ErrorsPrint': True,
                                   'ExtraInputs': [],
                                   'ExtraOutputs': [],
                                   'MonitorService': 'MonitorSvc',
                                   'OutputLevel': 0,
                                   'PrintEmptyCounters': False,
                                   'PropertiesPrint': False,
                                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                   'RootInTES': '',
                                   'StatEntityList': [],
                                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                   'TypePrint': True,
                                   'UseEfficiencyRowFormat': True,
                                   'UseReference': True},
 'ToolSvc.UTReadoutTool': {'AuditFinalize': False,
                           'AuditInitialize': False,
                           'AuditReinitialize': False,
                           'AuditRestart': False,
                           'AuditStart': False,
                           'AuditStop': False,
                           'AuditTools': False,
                           'Context': '',
                           'ContextService': 'AlgContextSvc',
                           'CounterList': ['.*'],
                           'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                           'ErrorsPrint': True,
                           'ExtraInputs': [],
                           'ExtraOutputs': [],
                           'MonitorService': 'MonitorSvc',
                           'OutputLevel': 0,
                           'PrintEmptyCounters': False,
                           'PropertiesPrint': False,
                           'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                           'RootInTES': '',
                           'StatEntityList': [],
                           'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                           'TypePrint': True,
                           'UseEfficiencyRowFormat': True,
                           'author': 'Joe Bloggs',
                           'conditionLocation': '/dd/Conditions/ReadoutConf/UT/ReadoutMap',
                           'depths': 3,
                           'description': 'BlahBlahBlah',
                           'footer': '</DDDB>',
                           'outputFile': 'ReadoutMap.xml',
                           'precision': 16,
                           'printMapping': False,
                           'removeCondb': False,
                           'startTag': '<condition',
                           'tag': 'None',
                           'writeMappingToXML': False},
 'ToolSvc.VPMeasurementProvider': {'AuditFinalize': False,
                                   'AuditInitialize': False,
                                   'AuditReinitialize': False,
                                   'AuditRestart': False,
                                   'AuditStart': False,
                                   'AuditStop': False,
                                   'AuditTools': False,
                                   'ClusterLocation': DataHandle("Raw/VP/LightClusters"),
                                   'Context': '',
                                   'ContextService': 'AlgContextSvc',
                                   'CounterList': ['.*'],
                                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                                   'ErrorsPrint': True,
                                   'ExtraInputs': [],
                                   'ExtraOutputs': [],
                                   'MonitorService': 'MonitorSvc',
                                   'OutputLevel': 0,
                                   'PrintEmptyCounters': False,
                                   'PropertiesPrint': False,
                                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                                   'RootInTES': '',
                                   'StatEntityList': [],
                                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                                   'TypePrint': True,
                                   'UseEfficiencyRowFormat': True,
                                   'UseReference': True},
 'TracksFTConverter': {'AuditAlgorithms': False,
                       'AuditBeginRun': False,
                       'AuditEndRun': False,
                       'AuditExecute': False,
                       'AuditFinalize': False,
                       'AuditInitialize': False,
                       'AuditReinitialize': False,
                       'AuditRestart': False,
                       'AuditStart': False,
                       'AuditStop': False,
                       'Cardinality': 0,
                       'Context': '',
                       'CounterList': ['.*'],
                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                       'Enable': True,
                       'ErrorCount': 0,
                       'ErrorMax': 1,
                       'ErrorsPrint': True,
                       'ExtraInputs': ['/Event/IOVLock'],
                       'ExtraOutputs': [],
                       'FilterCircularDependencies': True,
                       'IsIOBound': False,
                       'MonitorService': 'MonitorSvc',
                       'NeededResources': [],
                       'OutputLevel': 0,
                       'OutputTracksLocation': DataHandle("Rec/Track/FTSoAAsTrackV2"),
                       'PrintEmptyCounters': False,
                       'PropertiesPrint': False,
                       'RegisterForContextService': True,
                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                       'RequireObjects': [],
                       'RootInTES': '',
                       'StatEntityList': [],
                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                       'Timeline': True,
                       'TracksFTLocation': DataHandle("Rec/Track/FTSoA"),
                       'TracksUTLocation': DataHandle("/Event/Rec/Track/UpstreamAsTrackV2"),
                       'TypePrint': True,
                       'UseEfficiencyRowFormat': True,
                       'VetoObjects': [],
                       'covarianceValues': (4.0, 400.0, 4e-06, 0.0001, 0.1)},
 'TracksUTConverter': {'AuditAlgorithms': False,
                       'AuditBeginRun': False,
                       'AuditEndRun': False,
                       'AuditExecute': False,
                       'AuditFinalize': False,
                       'AuditInitialize': False,
                       'AuditReinitialize': False,
                       'AuditRestart': False,
                       'AuditStart': False,
                       'AuditStop': False,
                       'Cardinality': 0,
                       'Context': '',
                       'CounterList': ['.*'],
                       'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                       'Enable': True,
                       'ErrorCount': 0,
                       'ErrorMax': 1,
                       'ErrorsPrint': True,
                       'ExtraInputs': ['/Event/IOVLock'],
                       'ExtraOutputs': [],
                       'FilterCircularDependencies': True,
                       'IsIOBound': False,
                       'MonitorService': 'MonitorSvc',
                       'NeededResources': [],
                       'OutputLevel': 0,
                       'OutputTracksLocation': DataHandle("/Event/Rec/Track/UpstreamAsTrackV2"),
                       'PrintEmptyCounters': False,
                       'PropertiesPrint': False,
                       'RegisterForContextService': True,
                       'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                       'RequireObjects': [],
                       'RootInTES': '',
                       'StatEntityList': [],
                       'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                       'Timeline': True,
                       'TracksUTLocation': DataHandle("/Event/Rec/Track/Upstream"),
                       'TracksVPLocation': DataHandle("/Event/Rec/Track/VeloAsTrackV2"),
                       'TypePrint': True,
                       'UseEfficiencyRowFormat': True,
                       'VetoObjects': []},
 'UpdateManagerSvc': {'AuditFinalize': False,
                      'AuditInitialize': False,
                      'AuditReinitialize': False,
                      'AuditRestart': False,
                      'AuditServices': False,
                      'AuditStart': False,
                      'AuditStop': False,
                      'ConditionsOverride': [],
                      'DataProviderSvc': 'DetectorDataSvc',
                      'DetDataSvc': '',
                      'DotDumpFile': '',
                      'IOVLockLocation': 'IOVLock',
                      'OutputLevel': 0,
                      'WithoutBeginEvent': True},
 'VFSSvc': {'AuditFinalize': False,
            'AuditInitialize': False,
            'AuditReinitialize': False,
            'AuditRestart': False,
            'AuditServices': False,
            'AuditStart': False,
            'AuditStop': False,
            'FallBackProtocol': 'file',
            'FileAccessTools': ['FileReadTool',
                                'GitEntityResolver/GitDDDB',
                                'GitEntityResolver/GitSIMCOND'],
            'OutputLevel': 0},
 'VSPClustering': {'AuditAlgorithms': False,
                   'AuditBeginRun': False,
                   'AuditEndRun': False,
                   'AuditExecute': False,
                   'AuditFinalize': False,
                   'AuditInitialize': False,
                   'AuditReinitialize': False,
                   'AuditRestart': False,
                   'AuditStart': False,
                   'AuditStop': False,
                   'Cardinality': 0,
                   'ClusterLocation': DataHandle("Raw/VP/LightClusters"),
                   'ClusterOffsets': DataHandle("Raw/VP/LightClustersOffsets"),
                   'Context': '',
                   'CounterList': ['.*'],
                   'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                   'Enable': True,
                   'ErrorCount': 0,
                   'ErrorMax': 1,
                   'ErrorsPrint': True,
                   'ExtraInputs': ['/Event/IOVLock'],
                   'ExtraOutputs': [],
                   'FilterCircularDependencies': True,
                   'IsIOBound': False,
                   'ModulesToSkip': [],
                   'MonitorService': 'MonitorSvc',
                   'NeededResources': [],
                   'OutputLevel': 0,
                   'PrintEmptyCounters': False,
                   'PropertiesPrint': False,
                   'RawEventLocation': DataHandle("DAQ/RawEvent"),
                   'RegisterForContextService': True,
                   'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                   'RequireObjects': [],
                   'RootInTES': '',
                   'StatEntityList': [],
                   'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                   'Timeline': True,
                   'TypePrint': True,
                   'UseEfficiencyRowFormat': True,
                   'VPGeometry': '/dd/Structure/LHCb/BeforeMagnetRegion/VP/VPGeometry',
                   'VetoObjects': []},
 'XmlCnvSvc': {'AllowGenericConversion': True,
               'AuditFinalize': False,
               'AuditInitialize': False,
               'AuditReinitialize': False,
               'AuditRestart': False,
               'AuditServices': False,
               'AuditStart': False,
               'AuditStop': False,
               'CheckUnits': True,
               'DtdLocation': '',
               'OutputLevel': 0,
               'XmlParserSvc': 'XmlParserSvc'},
 'XmlParserSvc': {'AuditFinalize': False,
                  'AuditInitialize': False,
                  'AuditReinitialize': False,
                  'AuditRestart': False,
                  'AuditServices': False,
                  'AuditStart': False,
                  'AuditStop': False,
                  'CacheBehavior': 3,
                  'DetectorDataSvc': 'DetectorDataSvc',
                  'EntityResolver': 'EntityResolverDispatcher/EntityResolverDispatcher',
                  'MaxDocNbInCache': 15,
                  'MeasureTime': False,
                  'OutputLevel': 0,
                  'PrintTime': False},
 'createFTClusters': {'AuditAlgorithms': False,
                      'AuditBeginRun': False,
                      'AuditEndRun': False,
                      'AuditExecute': False,
                      'AuditFinalize': False,
                      'AuditInitialize': False,
                      'AuditReinitialize': False,
                      'AuditRestart': False,
                      'AuditStart': False,
                      'AuditStop': False,
                      'Cardinality': 0,
                      'ClusterMaxWidth': 4,
                      'Context': '',
                      'CounterList': ['.*'],
                      'DecodingVersion': 4,
                      'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                      'Enable': True,
                      'ErrorCount': 0,
                      'ErrorMax': 1,
                      'ErrorsPrint': True,
                      'ExtraInputs': ['/Event/IOVLock'],
                      'ExtraOutputs': [],
                      'FTReadoutTool': 'FTReadoutTool/FTReadoutTool',
                      'FilterCircularDependencies': True,
                      'IsIOBound': False,
                      'MonitorService': 'MonitorSvc',
                      'NeededResources': [],
                      'OutputLevel': 0,
                      'OutputLocation': DataHandle("Raw/FT/LiteClusters"),
                      'PrintEmptyCounters': False,
                      'PropertiesPrint': False,
                      'RawEventLocations': DataHandle("/Event/DAQ/RawEvent"),
                      'RegisterForContextService': True,
                      'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                      'RequireObjects': [],
                      'RootInTES': '',
                      'StatEntityList': [],
                      'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                      'Timeline': True,
                      'TypePrint': True,
                      'UseEfficiencyRowFormat': True,
                      'VetoObjects': []},
 'createODIN': {'AuditAlgorithms': False,
                'AuditBeginRun': False,
                'AuditEndRun': False,
                'AuditExecute': False,
                'AuditFinalize': False,
                'AuditInitialize': False,
                'AuditReinitialize': False,
                'AuditRestart': False,
                'AuditStart': False,
                'AuditStop': False,
                'Cardinality': 0,
                'Context': '',
                'CounterList': ['.*'],
                'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                'Enable': True,
                'ErrorCount': 0,
                'ErrorMax': 1,
                'ErrorsPrint': True,
                'ExtraInputs': [],
                'ExtraOutputs': [],
                'FilterCircularDependencies': True,
                'IsIOBound': False,
                'MonitorService': 'MonitorSvc',
                'NeededResources': [],
                'ODIN': DataHandle("DAQ/ODIN"),
                'OutputLevel': 0,
                'PrintEmptyCounters': False,
                'PropertiesPrint': False,
                'RawEvent': DataHandle("Trigger/RawEvent:DAQ/RawEvent"),
                'RegisterForContextService': True,
                'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                'RequireObjects': [],
                'RootInTES': '',
                'StatEntityList': [],
                'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                'Timeline': True,
                'TypePrint': True,
                'UseEfficiencyRowFormat': True,
                'VetoObjects': []},
 'fitConverter': {'AuditAlgorithms': False,
                  'AuditBeginRun': False,
                  'AuditEndRun': False,
                  'AuditExecute': False,
                  'AuditFinalize': False,
                  'AuditInitialize': False,
                  'AuditReinitialize': False,
                  'AuditRestart': False,
                  'AuditStart': False,
                  'AuditStop': False,
                  'Cardinality': 0,
                  'Context': '',
                  'CounterList': ['.*'],
                  'EfficiencyRowFormat': ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |',
                  'Enable': True,
                  'ErrorCount': 0,
                  'ErrorMax': 1,
                  'ErrorsPrint': True,
                  'ExtraInputs': ['/Event/IOVLock'],
                  'ExtraOutputs': [],
                  'FilterCircularDependencies': True,
                  'Input': DataHandle("Rec/Track/FittedForward"),
                  'IsIOBound': False,
                  'MonitorService': 'MonitorSvc',
                  'NeededResources': [],
                  'Output': DataHandle("Rec/Track/FittedForward_Selection"),
                  'OutputLevel': 0,
                  'PrintEmptyCounters': False,
                  'PropertiesPrint': False,
                  'RegisterForContextService': True,
                  'RegularRowFormat': ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |',
                  'RequireObjects': [],
                  'RootInTES': '',
                  'StatEntityList': [],
                  'StatTableHeader': ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |',
                  'Timeline': True,
                  'TypePrint': True,
                  'UseEfficiencyRowFormat': True,
                  'VetoObjects': []}}
