2018-03-05 LHCb v42r7
===

This version uses Gaudi v28r2 and LCG_88 with ROOT 6.08.06.
<p>
This version is released on `2017-patches` branch.

### Updates for CondDB
- Ignore CALIBOFF if we use Git CondDB, !1095

- Propagate LHCbApp.CondDBtag based on .Simulation, !1094

- Fix the default CondDB tag for 2017, !1085 (@rmatev)
  The latest tag for 2017 data type is cond-20170724, which we were using at the end of the year.

- Set default initial time for 2017 at end of fill 6417, !1022

- Update to latest LHCbCond global tag for 2015: cond-20171211, !1017


### Fixes to handling of Turbo data
- Correct wrong comparison in TurboConf, !1154 (@apearce)
  We were applying configuration to 2015, 2016, and 2017 data, but only should have been applying it to 2015 and 2016, else Tesla will fail running over 2017 data.

- Do not try to unpack Turbo for non-Turbo jobs, !1136
  - Add configurable list of streams that should not be handled by the unpacking mapper.
  - Do not try to unpack Turbo stream data in non-Turbo jobs.
  - Append in case the value has been set already.

- Support processing of 2016 Turbo MC, !1140

- Link DAQ/RawEvent to Trigger/RawEvent for 2015 and 2016 Turbo data, !954 (@apearce)
  Fixes LHCBPS-1721.


### Enhancements
- Improve FileStagerSvc and add a test, !1161 (@raaij)
  - Add ssh capability to FileStagerSvc (expert use)
  - Remove capability to copy LFNs directory using lcg-cp and add fix a property.
  - Grab more modernizations and adapt for gcc 4.9.

- LHCbMath, !990 (@ibelyaev)
  - improve parabolic interpolation for 1D-histograms

- LHCbMath: add Bernstein3D and Positive3D, !953 (@ibelyaev)

- Added new platforms to the list of known ones, !929
  - x86_64-centos7-clang50-opt
  - x86_64-centos7-clang50-dbg
  - x86_64+avx2+fma-centos7-gcc7-opt



### Bug fixes
- UnpackParticlesAndVertices: add protection against segmentation fault, !1132

- Fix cache building of the GET functor, !948 (@rmatev)
  - Fix base class constructor call in LoKi::TES::Get
  The wrong base class constructor call prevented correct cpp code generation.
  - Add include in LoKiHlt.h needed for cache generation

- Truncate existing raw files when writing, !911 (@rmatev)
  Currently, if a raw file exists, it is not truncated when opened for
  writing. If the existing file has a larger size, the leftover bytes
  at the end will be left there and further reading will lead to segvs
  due to the corrupted file. This MR simply adds the `O_TRUNC` flag to the `open` call and a
  test that verifies the correct behaviour.


### Code modernisations and cleanups
- Update TaggerType Enum, !944 (@kheinick)


### Changes to tests
- Improvements to test regex replacements, !952
  - Improvements to test regex replacements
  - Hide also ParamFiles version
  - Hide any data package version

- Ignore tiny difference in vdt::fast_cossin when FMA enabled, !908, !966 (@cattanem)
