

2018-03-06 LHCb v44r0
===

This version uses Gaudi v29r3 and LCG_93 with ROOT 6.12.06.
<p>
This version is released on `2018-patches` branch.

Built relative to LHCb v43r1, with the following changes:

### Updates for CondDB
- Ignore CALIBOFF if we use Git CondDB, !1095 (@clemenci) [LHCBCNDB-667]

- Propagate LHCbApp.CondDBtag based on .Simulation, !1094 (@rmatev)
  This avoids always adding two entries in CondDB.Tags, one for LHCBCOND and one for SIMCOND.

- Add 2018 DataType, !1086 (@rmatev) [LHCBCNDB-667]

- Fix the default CondDB tag for 2017, !1085 (@rmatev)
  The latest tag for 2017 data type is cond-20170724, which we were using at the end of the year.

- Set default initial time for 2017 at end of fill 6417, !1022 (@cattanem)

- Update to latest LHCbCond global tag for 2015: cond-20171211, !1017 (@cattanem)

- Update default DDDB tags to pick up LHCBCNDB-659, !915 (@cattanem)
```
Name            Datatype
dddb-20171030   2010
dddb-20171030-1 2011
dddb-20171030-2 2012,2013
dddb-20171030-3 2015,2016,2017
```


### Fixes to handling of Turbo data
- Correct wrong comparison in TurboConf, !1154 (@apearce)
  We were applying configuration to 2015, 2016, and 2017 data, but only should have been applying it to 2015 and 2016, else Tesla will fail running over 2017 data.

- Do not try to unpack Turbo for non-Turbo jobs, !1136 (@apearce)

- Support processing of 2016 Turbo MC, !1135 (@apearce)
  See discussion in LHCb!1132 for motivation.

- Link DAQ/RawEvent to Trigger/RawEvent for 2015 and 2016 Turbo data, !954 (@apearce)



### New features
- GaudiConf: add "light" version of dst-dump script from Bender, !1133 (@ibelyaev)
   - *some* functionality can't be ported in an easy way, in particular, access to  grid  files, LFN -> PFN conversion, automatic setting of DDDB/CondDB-tags,  etc...


### Enhancements
- Improve FileStagerSvc and add a test, !1160 (@raaij)
  - Add ssh capability to FileStagerSvc (expert use)
  - Remove capability to copy LFNs directory using lcg-cp and add fix a property.

- Extend standalone TCK utility, !1031 (@rmatev)
  This will streamline the workflow with the new TCK/HltTCK package in git.
  - Create CDB from file records
  - Add option to avoid reformatting when converting to CDB

- LHCbMath: fix&improve several 2D-models, !1065 (@ibelyaev)

- LHCbMath: refactor the code for 2D-splines, !1093 (@ibelyaev)

- LHCbMath:, !1008 (@ibelyaev)
  - rewrite 2D/3D-interpolation functions for histograms
  - replace "parabolic" with "2-parabolic" interpolation for n_bins>=4

- LHCbMath: Improve parabolic interpolation for 1D-histograms, !990 (@ibelyaev)

- LHCbMath, !953, !967, !971, !977, !979, !1115 (@ibelyaev)
   - add generic 3D-polynomial Bernstein3D
   - add positive 3D-polynomial Positive3D

- Update TaggerType Enum !944 (@kheinick)

- Add the RICH and Muon digit summaries (equivalent of the linkers) to the LDST output format, !1088 (@jonrob)

- Added new platforms to the list of known ones in PlatformInfo, !929, !968 (@clemenci)
  - x86_64-centos7-clang50-opt
  - x86_64-centos7-clang50-dbg
  - x86_64+avx2+fma-centos7-gcc7-opt
  - x86_64-centos7-gcc7-dbg to PlatformInfo


### Bug fixes
- Fix DecisionBankKiller.AlwaysKeepBanks property, !1155 (@rmatev)
  The property `AlwaysKeepBanks` uses an update handler, which was not
  "used" in the constructor.

- UnpackParticlesAndVertices: add protection against segmentation fault, !1132 (@ibelyaev) [LHCBPS-1770]

- Correctly use RootInTES in Particle2MCLinker, !1092 (@kgizdov)
  `Particle2MCLinker` was not respecting `RootInTES` and failed on MDST MC. This patch makes sure `DataOnDemand` type tools (like `MCTupleToolReconstructed`) are configured correctly.

- Fix opening a new cdb with ConfigCDBAccessSvc, !1105 (@rmatev)
  This only affects the case where `ConfigCDBAccessSvc(File='x.cdb', Mode='ReadWrite')` is used and `x.cdb` does not exist.

- Added protection in `FTRawBankDecoder` against module numbers that are out of bounds, !1023 (@jvantilb).

- Fix cache building of the LoKi::TES::Get functor, !948 (@rmatev)

- Fixed messaging to deal with changes in gaudi/Gaudi!428, !917, !919 (@cattanem)


### Code modernisations and cleanups
- Mask gcc 7.3 compilation warnings from Python, exposed with LCG_93, !1158 (@cattanem)

- Make forward compatible with gaudi/Gaudi!477, !941 (@graven)

- Fix compile warnings in DAQ/MDF, !997 (@frankm)



### Changes to tests
- testvdtmath: Ignore tiny difference in vdt::fast_cossin when FMA enabled, !976 (@cattanem)

- Improvements to test regex replacements, !1042 (@cattanem)

- Do not rely on counter order when comparing counters, !1033 (@sponce)

- Modified LHCbTest to be more resilient for changes in counters order, !1030 (@sponce)
