

2018-03-22 LHCb v50r0
===

This version uses Gaudi v30r2 and LCG_93 with ROOT 6.12.06.
<p>
This version is released on `master` branch. The previous release on `master` branch  was `LHCb v43r1`.

This release includes the merge to `master` of the `future` branch, done in November 2017 - see !989 commit history for details of `future` changes that were included

This release also contains all the changes that were made in `LHCb v44r0` (released on `2018-patches` branch, see corresponding release notes), as well as the additional changes described in this file.


### New features
- Add UnpackRawEvent, !1102 (@graven)
  Algorithm that 'unpacks' `LHCb::RawEvent` into a set of vectors of pointers to `LHCb::RawBank`, one vector for each speficied `BankType`.

- Introduced VPLightClusters, !1069 (@sponce)

- Added possibility to use the newly added HLTEventLoopMgr in Gaudi, !1063 (@sponce)

- Allow to set the ThreadPoolSize in LHCbApp, !1059 (@sponce)

- Add LHCb::span, LHCb::make_span to STLExtensions, !1057, !1075 (@graven)
  - LHCb::span is a small facade to GSL::span to ensure that the boundary checking of GSL::span is only enabled in debug builds.
  - add LHCb::make_span to avoid having to specify more types than strictly necessary
  - add a small unit test to test all features in STLExtensions.h

- Add `front` and `back` freestanding functions for gsl::span, !1148 (@graven)

- Add Similarity_2_5, !938 (@sstemmle)


### Enhancements

- Add support to RICH classes for complete SIMD vectorisation, !933 (@jonrob)

- Improved Support for SIMD in RichDet, !972 (@jonrob)

- Allow more flexibility in the template types used by the SIMD Rich ray tracing utilities, !1108 (@jonrob)

- Rich decoding optimisations, !1137 (@jonrob)
  - Fork the decoded data format for the 'future' branch, and update this converting the `std::map<A,B>` based model to `std::vector< std::pair<A,B> >`.
  - Update the decoder to adapt to the changed data format.
  - Various other small optimisations, to avoid temporaries and memory management overheads.

- Rich performance updates, !1118 (@jonrob)
   - More optimisations to `RichDet` to improve the `MaPMT` CPU performance as required by the reconstruction.
   - Fork the `RichSmartID` tool interface for the future branch and add a new method to support SIMD coordinate transformations.
   - Extend the MC truth utilities to provide access to the digit histories.
   - Move from a private implementation inside the quartic reconstruction algorithm a new utility class that caches SIMD mirror information.

- Rich - Small optimisations, !1061 (@jonrob)
  - RichDet - Cache more data in PMT classes to avoid multiple pointer dereferences and associated cache issues.
  - RichDet - Improved (forward) support for 64 bit RichSmartID (developed in a branch for phase 2 upgrade studies).
  - TrackSegment - Various small improvements, like use float not double for cached average photon energy.

- Rich - Convert interfaces to float + Minor bug fixes and improvements, !1009 (@jonrob)

- Replace doubles with floats in FTDet, !1113 (@jvantilb) [LHCBSCIFI-84]

- Added functionality to DeFTMat to improve speed in PrFTStoreHit, !1112 (@jvantilb)

- Faster decoding of FTRawBankDecoding, !1079, !1111 (@jvantilb) [LHCBSCIFI-108]
  Removing sorting and allocating memory for FTLiteClusters.
  *  Allocating memory: about 15% reduction in CPU time
  *  Removal of old sorting: about 50% reduction in CPU time
  *  Adding back of custom sorting for PrFTHits: adds 10% increase in CPU time (about 10 ms, while at least 80 ms can be removed in PrStoreFTHits).

- Update FTRawBankDecoder to deal with large clusters, !1039 (@sesen) [LHCBSCIFI-100,LHCBSCIFI-93]

- Change trajectory hierarchy to have a templated version, !1089 (@mhadji)

- Add a specific function for Track class to add states already sorted, !1060 (@mhadji)

- Extend TrackFunctors to also accept references to objects, !1047 (@graven)

- Enable vectorization of updateTransport by horizontal vectorization of MagneticFieldGrid methods, !1007 (@dcampora)

- Changes required for kalman_no_ref_nodes, !998 (@dcampora)
  - Added operator<< to Iterators.
  - Added copy from std::array to TrackSymMatrix.

- Avoid temporary copies in RecVertex, !1072 (@graven)

- Pass span objects by value, !1064, !1078 (@sponce)

- Various cherry-picks from the TDR branch, !1056 (@sponce)


### Bug fixes
- OdinTypesFilter - Fix GCC7 Uninitialised variable warning, !1128 (@jonrob)

- BankKiller - Add default initializer for local variable to suppress warnings, !1125 (@jonrob)

- Fix usage of ThreadPoolSize parameter in Hive mode, !1070 (@sponce)

- Fix missing return in decodeL0DU, !1044 (@rmatev)

- Fix segfaults in case of out-of-order references, !957 (@raaij)

- Fix an untested StatusCode, !1001 (@cattanem)

### Code modernisations and cleanups

- Modernize ConfigCBDAccessSvc, !1165 (@graven)
  - use dedicated type for read-only/read-write property
  - use string_views::to_string instead of equivalent free standing implementation
  - use boost::optional<T> as return value instead of passing an uninitialized T by reference as INOUT argument, and returning a bool
  - call `file()` less often / less implicitly, and instead assign the return value to a variable, keeping it alive in the local scope

- Modernize LHCbKernel, !982 (@graven)
  - do not provide default arguments in derived functions, as the caller only (has) to see the base class definition,
  - prefer decltype(auto) over std::result_of<...>::type
  - make binary operators friend functions to make them left-right symmetric wrt. implicit conversions
  - prefer cmath over math.h
  - qualify single-argument c'tor as explicit
  - fully qualify enum values

- Fixed usage of createODIN in read-split.py, !1003 (@sponce)

- Modernize Tr/LHCbTrackInterfaces, !983 (@graven)
  - prefer struct for interfaces
  - remove CVS/SVN identifiers
  - cleanup whitespace

- Use std::unique_ptr<TrackFitResult> in Track, !1152 (@graven)
  (cherry pick from TDR to master)

- Generalize Track{,FitResult} member function signatures, !1147 (@graven)
  - Use `span<T>` instead of explicitly specifying container types in:
       Track::addToStates,
       Track::addToLhcbIDs,
       Track::addSortedToLHCbIDs,
       Track::addToMeasurements,
       TrackFitResult::addToMeasurements
  - Put some asserts in the right place

- Modernize TrackEvent, !951 (@graven)
  - add `final` qualifiers to Chisquare and Track
  - remove CVS identifiers
  - prefer `using` over `typedef`
  - rename `middle` to the more appropriate `pivot`
  - instead of replicating the `std::set_intersection` code to count overlaps, use `std::set_intersection` and customize it by using a `counting_inserter` which only counts, and does not insert...

- Removed Tr::TrackVectorFit::FitTrack, !939 (@dcampora)
  As part of ths, refactored the Vector SOA containers into three files:
  * VectorSOAStore: Stores the data in an aligned and contiguous manner. New store "backends" can be created if the initial storage is exhausted.
  * VectorSOAMatrixView: Some generic Matrix views, to be used over the storage.
  * VectorSOAIterator: Store backend-aware iterators.

- Modernize TrackFunctor (replace functor structs with lambdas), !1052 (@graven)

- Replace stepTowardPoca member function with standalone function in anonymous namespace, !1041 (@graven)

- Finish AlignTraj migration, !1116 (@graven)
  Avoid explicit temporary which was needed for ROOT <= 5.18

- RichDet MaPMT class clean up, !1123 (@jonrob)
  - Remove redundant code implementing features once considered for the upgrade but now no longer required.
  - Small improvement to SIMD `DeRichPMT::detectionPoint` method, adding a native SIMD version

- Remove RICH interface for MCTruth tool removed in lhcb/Rec!818, !1027 (@jonrob)

- Modernize VisPrimVertTool, !1082, !1083 (@graven)
  prefer STL algorithms over explicit loops

- Modernize BcmDet, !1074 (@graven)

- Modernize CaloDAQ, !1058 (@graven)
  - factor out common code
  - prefer enum over std::string when there is a finite, a-priori known set of allowed values
  - use switch on enum value instead of if-then-else- chain of std::string
  - prefer Gaudi::Property

- Adapted L0DU configuration to L0DUDecoder, !1000 (@sponce)

- Modernize L0Event, !984 (@graven)
  - prefer constexpr over static const
  - prefer '\n' over std::endl
  - remove non-ascii characters
  - prefer re-using GaudiUtils::ostream_joiner
  - fix permission bits on source files

- Modernize DigiEvent, !985 (@graven)
  - fix file permissions
  - remove redundant destructors

- Modernize Particle2MCLinker, !1131 (@graven)
  - use boost::variant<const GaudiAlgorithm*,const GaudiTool*> to store the parent
  - use boost::apply_visitor to dispatch to the various parent methods

- Modernize MCTrackInfo, MCProperty, !1077 (@graven)
  - make it possible to construct MCTrackInfo without it using the event service implicitly
  - deprecate old MCTrackInfo destructor which takes event service and message service as arguments
  - add const, final

- Use DataObject{Read,Write}Handle also for AnyData, !1076 (@graven)

- Dropped unused wrapper on ICounterSvc in Loki, !1179 (@sponce)

- Avoid dynamic_cast in LoKi::HDRFilter, !1051 (@graven)

- Fixed hack in LokiFunctors allowing to disregard UT, !999 (@sponce)

- avoid spurious copy of functor, !1071 (@graven)

- LoKiCore/src/HybridBase.cpp: Remove unused writeLines function, !943 (@cattanem)

- Use `using gsl::span` and `span` instead of repeating `gsl::span`, !1167 (@graven)

- Remove redundant includes, !1166 (@graven)

- Use detected_or idiom to decide if class has a valid size() method, !1150 (@graven)

- Speed up GOD processing, !1149 (@graven)

- prefer auto in GOD generated code, !1055 (@graven)

- prefer std::make_unique, !1073 (@graven)

- Fully qualify enum values, !1062 (@graven)

- Remove obsolete, unused StaticArray, !1048 (@graven)

- Remove dependency on obsolete packages, !1037 (@clemenci)
  - do not use ThreadGaudi.h
  - do not declare dependency on GaudiMTTools

- Removed use of deprecated factories, !992 (@clemenci)
  - replaced `DECLARE_*_FACTORY` with `DECLARE_COMPONENT`
  - made constructors public
  - removed some unnecessary _disabling_ of copy constructors
  - removed some trivial destructors
  See gaudi/Gaudi!420

- Replace `invoke` implementation with Gaudi::invoke, !925 (@graven)

- Use Gaudi::tagged_bool instead of version in LHCbKernel, !1067, !1068 (@graven)

- Adapted to change in logical comparison between StatusCodes, !1107 (@clemenci)

- Forward compatibility for gaudi/Gaudi!524, !981 (@graven)
  - replace forward declaration of IRegistry with  #include "GaudiKernel/IRegistry.h"
  - make DeRichSphMirror code oblivious to the actual type stored inside IRegistry

- Forward compatibility for gaudi/Gaudi!514, !1090, !1114 (@clemenci)
- Forward compatibility for gaudi/Gaudi!474, !935 (@graven)

- Hide compose in local namespace to rule out a clash with GaudiKernel/compose.h, !965 (@graven)

- Fix class/struct mismatch introduced by gaudi/Gaudi!474, !961 (@cattanem)

- Prevent gcc 7.2 warning about macro "major" legacy definition in sys/types.h, !1004 (@clemenci)



### Changes to tests
- Updated read-split-raw test to follow changes from future-master merge, !1038 (@cattanem)

- Fix the HltDAQ.sel_reports_stripper test by obtaining the correct locations from the `DecoderClass` instances, !1002 (@sponce)

- Dropped HltVertexReports check in tests for raw bank format, !1005 (@sponce)

- Improvements to test regex replacements, !952 (@clemenci)
  - hide path to DBASE/PARAM
  - minor clean up
