

2019-07-21 LHCb v50r5
===

This version uses Gaudi v32r1 and LCG_96 with ROOT 6.18.00.
<p>
This version is released on `master` branch.

Built relative to LHCb v50r4, with the following changes:

### New features

- SIMDTypes.h - Add scalar versions of 'any_of,all_of,none_of' for booleans, !1994 (@jonrob)

- RichFutureUtils RichHypoData - Add constructor from other Hypo data templated type., !1984 (@jonrob)

- LHCbMath - Add some type traits to SIMDTypes. Update RichRayTracingUtils to use new traits., !1983 (@jonrob)

- First commit of 'UTInfo.h', to store some geometry numbers of the UT (#stations, layers, regions, sensors),  !1972 (@decianm)

- Add `SOA::Container` skins for `Track` and `MuonPID` objects and their combination. Allows new functors to act on track+muon zips, !1961 (@olupton)

- Add a std::transform-like function to facilitate creation of a zip compatible container from an existing one, !1905 (@pseyfert)

- Add MDFIOAlg and MDFIOSvc allowing to efficiently read events from MDF files with no event selector, !1904 (@sponce)


### Enhancements

- AVX2/AVX512 wrapper fixes + new AVX256 backend, !2031 (@ahennequ)
  * Few fixes to SIMD wrapper.
  * Introduction of AVX256 backend: uses avx512 new instructions but with a vector size of 256. This allow to benefit from the increased register count, the new mask registers and new instructions (compressstore) but without the problem of frequency scaling.
  * Added masked gathers

- RICH, minor updates to photon and hypo data classes, !2030 (@jonrob)

- Optimized caching of banks in RawEvent, !2027 (@sponce)

- LHCbMath FastMaths - Add always inline attribute + minor fast_atan2 update, !2024 (@jonrob)

- RichTrackSegment - Set precision on 'angleToDirection' theta and phi values, !2023 (@jonrob)

- Add x86_64-centos7-clang8-opt,dbg to PlatformInfo, !2007 (@cattanem)

- DetDesc - 'Solids' classes cleanup, !2005 (@jonrob)

- Support SIMD/POD containers and vectorised selections in new functors, !2004 (@olupton)

- MagneticFieldGrid::fieldVector - Small optimisation., !2002 (@jonrob)

- RichMirrorSegFinderLookUpTable.h - Unroll some small scalar loops + cleanup., !2000 (@jonrob)

- SIMDTypes : Add #define to hint compiler to loop unroll, !1999 (@jonrob)

- LHCbMath - Small CPU improvement to fast_atan2, !1998 (@jonrob)

- RichDet - Various memory and CPU optimisations, !1997 (@jonrob)

- Update to latest LHCbCond 2015 and 2016 global tags, !1987 (@cattanem)
  *  2016: LHCBCOND `cond-20181204` c.f. lhcb-conddb/LHCBCOND!27 (New Ecal calibration for 2016)
  *  2015: LHCBCOND `cond-20190606` c.f. lhcb-conddb/LHCBCOND!30 (October 2015 calorimeter re-calibration)

  Cherry-picked from lhcb/LHCb!1986 on `run2-patches`

- LHCbMath/FastMaths - Make constants non-static., !1971 (@jonrob)

- Misc. small performance optimisations of ve, !1970 (@jonrob)
  For instance removal of some overheads when running `simd_cast`.

- Add support for using other SIMD abstraction layers (ve) in LHCbMath and RICH, !1932 (@jonrob)

- Use DataHandles in unpackers, !1931 (@apearce)

- moved SIMD HLT1 sequence to SoA POD event model, !1913 (@sponce)


### Bug fixes

- Fix how the Range-v3 include directory dependency is added, !2017 (@olupton)

- Fix memory leak in ANNSvc, !1982 (@graven)

- fix clang errors, !1975 (@graven)
  - `'layoutOne' in capture list does not name a variable`
  - `reference to local binding 'layoutOne' declared in enclosing function 'MuonRawToHits::addCoordsCrossingMap'`
  - `invalid operands to binary expression` in `HLTControlFlowMgr.cpp`
  - `redefinition of 'ConditionAccessor' as different kind of symbol`


### Code modernisations and cleanups

- Use 16bit int type for static size variables for compatibility with clang's loop unroll pragma, !2034 (@jonrob)

- FastMaths.h : Hide 'union' based casts behind a single method., !2026 (@jonrob)

- RichSIMDMirrorData - Minor streamlining of cache update method, better inlining, !2020 (@jonrob)

- Switch to GAUDI_LOOP_UNROLL, !2019 (@jonrob)

- Rich : Use MsgCounter instances for warnings and errors, !2018 (@jonrob)

- Move Kernel/bit_cast.h to LHCbMath/bit_cast.h, !2011 (@olupton)

- Fix clang warnings, !2009, !1993 (@cattanem)

- Moved VPTrackingInfo to VPDet, !2008 (@ldufour)

- Rename pun_to into bit_cast to be consistent with C++20, !2006 (@graven)

- Add explicit Blas dependency, needed with LCG 96, !2003 (@cattanem)

- Modernize ICaloFutureHypoTool interface, !2001 (@graven)
  * put it in the Calo::Future::Interfaces namespace
  * process now takes a range of CaloHypos instead of a single CaloHypo
  * add a backwards compatible process which takes a single CaloHypo, and forwards it to the range-based process
  * remove the redundant operator() which just calls process

- Consolidate usesConditions into the LHCb::DetDesc namespace, !1996 (@graven)

- Remove unused variables, !1992 (@cattanem)

- Modernize CaloFuture track matching interface, !1990 (@graven)
  * put track matching interface + data in namespace Calo::Future
  * make Match{2,3}D behave as an optional (as it has a bool to
    indicate whether the value is valid or not)
  * replace boost::string_ref with std::string_view

- use safe_load instead of load following PyYAML yaml.load(input) Deprecation, !1989 (@cattanem)

- Modernize IFutureNeutralIDTool interface, !1988 (@graven)
  * rename into Calo::Future::Interfaces::INeutralID
  * make methods const
  * improve type safety

- LHCbMath - remove unused 1/sqrt methods, !1985 (@jonrob)

- Deleted CaloFuture/CaloFutureInterfaces/CaloFutureInterfaces/#ICaloFutureTrackMatch.#, !1980 (@clemenci)
  this is a temporary file generated by some editor ans should have never been committed.

- Cleanup unused tool in Det/Magnet and move lookup table class to LHCbKernel, !1978 (@raaij)

- Simplify rotation/translation parameter storage, !1974 (@graven)

- RichRayTracingUtils - Simplify scalar/SIMD templation replacing SFINAE with constexpr if, !1969 (@jonrob)

- First round of context removal, !1964 (@jmarchan)

- Use clang-format-8 for GOD generated files, !1962 (@clemenci)

- move HltDAQ/src/component/pun.h to Kernel/pun.h, !1955 (@graven)


### Changes to tests

- Accept "INFO Number of counters" as counters table signature, !2032 (@clemenci)
  Follow up of gaudi/Gaudi!943 (plus gaudi/Gaudi!946).
  Also change the regular expressions used to detect counters tables to use named groups

- Added a way to specify per counter/histo sensibility in tests, !1995 (@sponce)

- Prevent spurious failures if TCK DB tests are run multiple times, !1965 (@clemenci)
