2022-03-30 LHCb v53r7
===

This version uses
Detector [v1r0](../../../../Detector/-/tags/v1r0),
Gaudi [v36r4](../../../../Gaudi/-/tags/v36r4) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to LHCb [v53r6](/../../tags/v53r6), with the following changes:

### New features ~"new feature"

- ~Decoding | Add Plume event model classes, !3449 (@vorlov)
- ~UT ~Conditions | Make UT code compile with DD4hep, !3386 (@sponce)
- ~Muon | Muon integration into DD4hep, !3343 (@sponce)
- ~Calo | Add support for calo info for v3 tracks, !3365 (@mveghel)
- ~RICH | Preliminary work to support DD4HEP in RICH Reco., !3381 (@jonrob)
- ~Persistency ~Utilities | SOAPackers, !3419 (@ahennequ)
- ~Conditions | Proposal for  global derived conditions, !3380 (@bcouturi)
- ~Conditions | Implementation of DeMagnet in LHCb, !3107 (@bcouturi)


### Fixes ~"bug fix" ~workaround

- ~Tracking ~"Event model" | Fix conversion bug, !3388 (@decianm)
- ~UT | Bugfix: fix mapQuarterSectorToSectorCentralRegion usage in findSectorsFullID, !3368 (@graven)
- ~Functors ~"Event model" | Fix ParticleCombinations from decayProducts, !3445 (@gunther)
- ~Simulation | Patches for GenFSRJson to correct JSON output, !3384 (@agrecu)


### Enhancements ~enhancement

- ~Configuration | Automatically create svg when profiling python, !3441 (@rmatev)
- ~Configuration | Fix LHCbApp and DDDBConf to allow overriding DD4hep properties, !3416 (@bcouturi)
- ~Configuration | Better exception from PyConf.tonic configurable caching, !3401 (@rmatev)
- ~Configuration | Improve error message when algorithm names of identical instances collide, !3398 (@sstahl)
- ~Configuration | Reading.py changes to allow MC object reading for sprucing, !3395 (@nskidmor)
- ~Configuration | More general data dependencies in PyConf, !3391 (@nnolte) [Analysis#26]
- ~Configuration | Clean up logic for customising PyConf.Algorithm outputs, !3182 (@rmatev) [#127]
- ~Configuration ~VP | Change input_raw_format default value to 0.5, !3310 (@gbassi)
- ~Decoding ~Calo | Fix CALO FEB numbers, !3422 (@jmarchan)
- ~Decoding ~RICH | Natively read dd4hep RICH decoding/encoding conditions, !3421 (@jonrob)
- ~Decoding ~RICH | Misc. protections and improvements to RICH decoding from RICH1 comissioning, !3403 (@jonrob)
- ~Tracking | Add backward flag to PrVeloTracks, !3402 (@decianm)
- ~Tracking | Add specific track types for the study of tracking efficiency, !3415 (@peilian)
- ~Calo ~PID | Support for new calo DLLs, !3469 (@mveghel)
- ~RICH | Final changes to fully support dd4hep RICH PMTs/Panels, !3454 (@jonrob)
- ~RICH | Preliminary changes to support DD4HEP RICH PMTs/Panels/Modules, !3446 (@jonrob)
- ~RICH | Fully support reconstruction using DD4HEP RICH Mirror objects, !3434 (@jonrob)
- ~Composites ~"Event model" | Implement fourMomentum for ChargedBasics, !3378 (@mramospe)
- ~Functors | Feat(functor): add functor data dependencies to ExtraInputs property of owning algorithm, !3430 (@chasse)
- ~Functors | Update EndVertex Definition for MCParticle, !3426 (@gunther) [#188]
- ~Functors | More ADL support for ThOr, !3394 (@graven)
- ~"Event model" | Use variable sized vector field to store LHCbIDs and hit indices in PrTracks, !3447 (@ahennequ)
- ~"Event model" | Add LHCbIDs method to v3::Tracks, !3393 (@decianm)
- ~"Event model" | Update Track_v3 to pick up directly position and direction, !3306 (@rvazquez)
- ~"Event model" | Proxy: add special case for `container()` in scalar-mode gather2D-behavior, !3437 (@graven)
- ~"Event model" | Add endVertexPos to MCParticle for Functor ADL, !3397 (@gunther)
- ~"Event model" | Track-like opt-in to ThOr, !3379 (@graven)
- ~Persistency | Add mdfwriter.py script, !3464 (@rmatev)
- ~Persistency ~"Flavour tagging" | Add clone method to Flavourtag, !3332 (@cprouve)
- ~Monitoring | For event size analytics, !3438 (@nskidmor)
- ~Conditions | Add constructor for ConditionAccessor that does not create a property, !3404 (@clemenci)
- ~Build | Improvements to LHCb QMT tests, !3443 (@rmatev) [#187]
- ~Build | Change where LHCB_UNUSED_SUBDIR_MESSAGE_TYPE is initialized, !3424 (@clemenci) [#190]
- Add missing doc string to lockOption, !3475 (@chasse)
- Enable using AdditionalInfo as Gaudi::Property, !3450 (@tnanut)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Composites | Move helpers for ProtoParticles from Rec, !3418 (@tnanut)
- ~"Event model" | Migrate ADL defaults for Functors from SelKernel/Utilities to EventBase, !3471 (@graven)
- ~Persistency ~Simulation | Revert changes to MCParticle (un)packing for optical photons (follow up !3449), !3467 (@rmatev)
- ~Core | Remove workaround for ROOT/cling problem with Boost small_vector, !2389 (@rmatev) [#75]
- ~Conditions | Add tests for ConditionAccessor without associated property, !3417 (@clemenci)
- ~Conditions | Fixed DeMagnet tests in DD4hep, !3436 (@bcouturi)
- ~Conditions | Demonstrate extraction of condition parameters with YAML, !3392 (@sponce)
- ~Build | Make the dependency on Detector mandatory, !3453 (@clemenci)
- ~Build | Explicitly find PkgConfig, !3442 (@rmatev)
- ~Build | Fix warnings uncovered in super project build, !3428 (@rmatev) [#191]
- ~Build | Search for libsodium and link ZMQLib to it, !3423 (@raaij)
- Remove GaudiTensorFlow, !3476 (@rmatev) [#50,#65]
- Migrate TrackVertexUtils from Rec to LHCb, !3466 (@graven)
- Fix dependencies for monobuild, !3462 (@chasse)
- Fix clang warning (follow up !3107), !3444 (@rmatev)
- Fix regressions introduced with !3417, !3439 (@clemenci)
- Remove use of boost::variant2, !3433 (@graven) [Rec#124,ROOT-10220]
- Move ADL find-able popcount into class scope by making it a friend, !3429 (@graven)
- Fix formatting CI job after migration to Python 3, !3399 (@rmatev)
- Update reading.py, !3387 (@nskidmor)


### Documentation ~Documentation

- Add missing doc string to lockOption, !3475 (@chasse)
