2022-11-23 LHCb v54r2
===

This version uses
Detector [v1r6](../../../../Detector/-/tags/v1r6),
Gaudi [v36r9](../../../../Gaudi/-/tags/v36r9) and
LCG [101a_LHCB_7](http://lcginfo.cern.ch/release/101a_LHCB_7/) with ROOT 6.24.08.

This version is released on `master` branch.
Built relative to LHCb [v54r1](/../../tags/v54r1), with the following changes:

### New features ~"new feature"

- ~Monitoring | Add an algorithm to monitor routing bits, !3858 (@rmatev)


### Fixes ~"bug fix" ~workaround

- ~Decoding ~VP | Fix full cluster decoder rounding, !3855 (@gbassi)
- Fix naming of DecReportsDecoder, !3848 (@sstahl)


### Enhancements ~enhancement

- ~Monitoring ~Luminosity | HltLumiSummaryMonitor: Automatic histogram range and custom threshold, !3852 (@rmatev)
- ~Conditions | Fix ICondDBInfo for DD4hep, !3847 (@clemenci)
- Use raw bank view, !3822 (@sesen)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Decoding ~RICH | RichFutureDAQ - Small cleanup, !3850 (@jonrob)
- ~Decoding ~RICH | RICH DAQ - Avoid GaudiAlg include in dd4hep builds, !3841 (@jonrob)
- ~FT | Centralise FT constants in one file in Detector and name most constants, !3826 (@lohenry) [LHCBSCIFI-186]
- ~RICH | Fix RichDetectors decoding ref logs for dd4hep, !3867 (@jonrob)
- Remove process keyword ambiguity, !3843 (@nskidmor)


### Other

- ~Configuration | Remove default values of process such that it is configured once via a required user input, !3806 (@amathad)
- ~Decoding | Fix retina full decoder precision, !3868 (@gbassi)
- ~Tracking ~VP ~Calo | Introduce VeloBackward and remove Calo track type, !3779 (@ausachov) [#256]
- ~FT ~Conditions | Update  for SciFi time alignment study, !3817 (@zexu)
- ~Calo | Cleaning dataCodingType 1, !3840 (@jmarchan)
- ~RICH | Switch from operator[] to at() where appropriate for improved range checking, !3844 (@jonrob)
- ~Luminosity | Add 2 basic plume lumi counters to the lumi summary offsets, !3859 (@sxian)
- ~Luminosity | Add secondary formatting string for lumi summary schema JSON lookups, !3839 (@dcraik)
- ~Core | DD4hepSvc - Use debug() stream for 'debug' message, !3874 (@jonrob)
- ~Core | Replace direct usage of Gaudi::Functional algorithms with LHCb::Algorithm, !3834 (@sponce)
- ~Core | Do not arbitrarily release Python GIL in HLTControlFlowMgr, !3825 (@clemenci)
- Add generic (constrained) forwarding of (some) functors in case of pointer argument, !3882 (@graven)
- Add lock to execute of MDFWriter and enable multi-threaded MDF writing, !3879 (@sstahl)
- Revert "Merge branch 'sxian_add_basic_plume_counters_to_LumiSumOffsets' into 'master'", !3878 (@sponce)
- Add non-const taggers() accessor, !3876 (@graven)
- Skip raw bank in retina decoding if column is out of range, !3864 (@decianm)
- Add algorithm to combine hlt1 and hlt2 routing bits and rework RoutingBitsWriter, !3863 (@sstahl)
- Update References for: LHCb!3822, Rec!3152, Moore!1828, Alignment!321, MooreOnline!169, Analysis!926, DaVinci!776, Boole!427 based on lhcb-master-mr/6222, !3866 (@lhcbsoft)
- Update References for: LHCb!3852 based on lhcb-master-mr/6208, !3865 (@lhcbsoft)
- More const-correct LinkMgr usage, !3853 (@graven)
- Migrate TCK backend  from .cdb to .git, !3286 (@graven)
- Update References for: LHCb!3842 based on lhcb-master-mr/6159, !3862 (@lhcbsoft)
- Prepare LHCb v54r1p1, !3860 (@rmatev)
- New raw data bank types for run3, !3854 (@gvouters)
- Use JSON instead of YAML to configure DetectorDataService, !3851 (@clemenci)
- Add option to test if key is in git repo, raise error if not, !3842 (@sstahl)
- Streamline HltLumiSummaryDecoder, !3837 (@graven) [#271]
- Dropped unused Rich base code (e.g. acquireTool), !3831 (@sponce)
- Add missing link to LHCbAlgsLib, !3846 (@clemenci)
- Update TableView, !3836 (@tnanut)
- Follow up to !3744, !3833 (@graven)
- Fix scope of loops in MuonTilePositionUpgrade, !3827 (@raaij)
- Include Muon hits in PrKM, !3692 (@pherrero)
- Cleanup useless ifdef DD4hep in FT Det code, !3832 (@sponce)
- Dropped unused interface IMuonPad2MCTool, !3823 (@sponce)
