2023-12-07 LHCb v54r21
===

This version uses
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16),
Detector [v1r24](../../../../Detector/-/tags/v1r24) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to LHCb [v54r19](/../../tags/v54r19), with the following changes:

### New features ~"new feature"

- ~Decoding ~FT | Add the possibility not to decode large clusters as such, !4297 (@lohenry)
- ~Persistency | Add persistreco version for PbPb, !4295 (@mveghel)
- Add node traversal function to PyConf, !4366 (@gunther)


### Fixes ~"bug fix" ~workaround

- ~Decoding ~FT | Reinforce misordered clusters checks, !4341 (@lohenry)
- ~Decoding ~FT | Fix small misordered and large misordered FT clusters, !4336 (@lohenry)
- ~Decoding ~FT | Check for misordered small clusters as well, !4307 (@lohenry) [Rec#512]
- ~Persistency | Fix in persistreco config, !4347 (@mveghel)
- Fixes for gcc 13, clang 16 and C++20, !4322 (@clemenci)
- Add LCG 104 new platforms to the list in PlatformInfo.cpp, !4317 (@clemenci)
- Fix standalone compilation of InteractionRegion.h, !4316 (@clemenci)


### Enhancements ~enhancement

- ~Configuration | Add function to get ROOT_TES for TISTOS, !4356 (@amathad)
- ~Luminosity | Update lumi en/de-coders and monitor for HLT2 lumi counters, !4130 (@dcraik)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking ~Persistency | Change momentum tolerance of the track packing, !4354 (@gunther) [Rec#516]
- ~Core | Pass "type/name" to scheduler (fixes warnings), !4325 (@rmatev)


### Documentation ~Documentation


### Other

- ~Tracking | DeFTQuarter provide average position access functions, !4279 (@gunther)
- ~Calo | Pin data decoding, !3477 (@jmarchan)
- ~RICH | RichMirrorFinder: Add some asserts to validate indices are always in range., !4324 (@jonrob)
- ~RICH | Add new algorithm DecodedDataAddMCInfo, !4315 (@jonrob)
- ~RICH ~"MC checking" | RichFutureMCUtils: Add support for spillover events to RICH MC cheating algorithms, !4321 (@jonrob)
- ~Luminosity | Make sure lumiTree is written to empty NTuple files, !4344 (@clemenci)
- ~Luminosity | Streamline LumiFSRtoTTree, !4312 (@graven)
- ~Simulation | Prepare release v54r20 needed for release of Boole, !4348 (@gcorti)
- Dropped FileStager component as it not used anymore, !4362 (@sponce)
- Fixed race condition in HLTControlFlowMgr, !4353 (@sponce)
- Fixed bad check in MDF_ROOT IO, !4351 (@sponce)
- Add python level ParticleTable class, !4286 (@jzhuo)
- More precise checks in test_STLExtensions, !4314 (@sponce)
