2024-05-14 LHCb v56r0
===

This version uses
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1),
Detector [v2r0](../../../../Detector/-/tags/v2r0) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `master` branch.
Built relative to LHCb [v54r20](/../../tags/v54r20), with the following changes:

### New features ~"new feature"

- ~Configuration ~Persistency | Introduced infrastructure to read ROOT files in algorithms (allowing MT), !2993 (@sponce) :star:
- ~Configuration ~Monitoring | Support for using TAE events, !4455 (@rmatev)
- ~Persistency | Add zero-suppressed HltDecReport rawbank format, !4367 (@graven)
- Add `ISequencerTimerTool::scopedTimer` to get an RAII wrapper which stops/starts a timer, !4408 (@graven)
- Add node traversal function to PyConf, !4366 (@gunther)


### Fixes ~"bug fix" ~workaround

- ~Decoding ~VP ~Simulation | Fix bug in VP encoding and decoding of topologyID, !4227 (@dpassaro)
- ~Decoding ~FT | Reinforce misordered clusters checks, !4341 (@lohenry)
- ~Persistency | Fixed packing of particle covariance matrix, !4467 (@wouter)
- ~Persistency | Fix in persistreco config, !4347 (@mveghel)
- ~Build | Fix stand alone compilation of LHCbMath/VectorizedML headers, !4479 (@clemenci)
- InteractionRegion check if parent is nullptr before deref, !4495 (@gunther)
- MatCalibration: add fallback solution for missing conditions, !4475 (@isanders)
- Fix truth matching persistency bug, !4453 (@jzhuo)
- Fixes for gcc 13, clang 16 and C++20, !4322 (@clemenci)
- Add LCG 104 new platforms to the list in PlatformInfo.cpp, !4317 (@clemenci)
- Fix standalone compilation of InteractionRegion.h, !4316 (@clemenci)


### Enhancements ~enhancement

- ~Configuration | Add function to get ROOT_TES for TISTOS, !4356 (@amathad)
- ~Configuration ~Decoding ~Persistency | Add option to ANNSvc to publish decoding keys to monitoring hub, and read decoding keys from FSR, !4404 (@graven)
- ~Calo ~"Event model" ~Persistency | Persistency for ChargedPID, BremInfo and GlobalChargedPID classes, !4338 (@tnanut)
- ~"Event model" | Add ODIN EventType bit accessor and clean up TriggerTypes, !4192 (@rmatev)
- ~Luminosity | Update lumi en/de-coders and monitor for HLT2 lumi counters, !4130 (@dcraik)
- MatVec invChol check for failure, !4468 (@gunther) [Moore#740]


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Remove space in algorithm names, !4433 (@rmatev)
- ~Configuration ~Persistency | Simplification/Streamlining of GaudiConf.reading, !4442 (@graven)
- ~Configuration ~Persistency | GaudiConf:reading.py: remove unused functionality, !4441 (@graven)
- ~Decoding ~Calo | Small cleanups that speed up the Calo decoding, !4339 (@rmatev)
- ~Tracking | Drop FittedForward track type and use FitHistory instead, !4419 (@gunther) [#339]
- ~Tracking | Define order of hitzones in PrSciFiHits header, !4406 (@gunther)
- ~Tracking ~PID | SIMD ML inference backend, !4305 (@mveghel)
- ~Tracking ~Persistency | Change momentum tolerance of the track packing, !4354 (@gunther) [Rec#516]
- ~RICH | FPE Auditor: Issue warning not exception when trapping support unavailable, !4426 (@jonrob)
- ~RICH | RichPID: Small clean up and modernisation, !4288 (@jonrob)
- ~Persistency | Set the reserved bits to 31  for hlt raw banks, !4480 (@sesen) [#221]
- ~Persistency | Small speedup of unpacking, !4340 (@graven) [#334]
- ~Persistency | Remove pointer assumption from packer's check function, !4323 (@ldufour)
- ~Simulation | DecayLength rename in ParticleParams, !4485 (@avilla)
- ~Build | Replace CMake command exec_program with execute_process, !4436 (@clemenci)
- ~Build | Include a standalone compilation of ODIN in DAQEvent, !4412 (@raaij)
- ~Build | Reintroduced MDFLib, with StreamDescriptor inside, as it's needed by MooreOnline, !4400 (@sponce)
- ~Build | Use gaudi_add_pytest instead of gaudi_add_tests(pytest/nosetest), !4059 (@clemenci)
- Remove unused headers from Particle.h, !4502 (@graven)
- PackedCaloHypo simple warning message modification, !4470 (@msaur)
- Remove obsolete `context()`, !4457 (@graven)
- Cleanup and improve ZeroMQ tests, !4448 (@raaij) [#343]
- Use SynchronizedValue.h from Gaudi, !4422 (@graven)
- Strong enum for Tagger::TagResult, used in FlavourTag and Tagger, !4423 (@graven)
- Clean up original GOD generated code in PhysEvent and MCEvent, !4418 (@graven)
- Do not rely on dynamic TES location alternate resolution, !4415 (@graven)
- Streamline HltDecReport{,s} and HltDecReportsWriter, !4398 (@graven)
- Remove mention of deleted IBTaggingTool, !4391 (@cprouve)
- Remove PixelModule and HCRawBankDecoder, !4382 (@ldufour)
- Reduce code duplication and simplify ControlFlowNode and HLTControlFlowMgr, !4379 (@graven)
- Replace std::random_shuffle with std::shuffle, !4335 (@clemenci)
- Cleanup state location and track type usage in track v3 and converters, !4374 (@gunther) [#335]
- Do not build DetDesc dictionary, !4363 (@clemenci)
- Remove duplicate configuration of MCParticle/MCVertex unpacking, !4327 (@graven)


### Other

- ~Configuration | Add `--with-defaults` command-line option to LbExec, !4319 (@admorris)
- ~Configuration ~Simulation | Define GeometryBackend for DD4Hep and DetDesc and use DataType=2024/Run3 when DetDesc is picked up from Run2Support, !4516 (@mexu)
- ~Decoding ~Monitoring | Updated PLUME decoding in HLT2, !4435 (@fferrari)
- ~VP ~Simulation | Fix caching of VP ChipStatus condition, !4529 (@tlatham)
- ~Muon ~PID ~"Event model" | Cleanup of ProtoParticle of duplicate muon info, !4416 (@mveghel)
- ~Calo | Pin data decoding, !3477 (@jmarchan)
- ~Calo ~Persistency | Add NeutralPID object to ProtoParticle, !4097 (@tnanut)
- ~RICH | Allen RICH decoding, !4001 (@dcampora)
- ~RICH | DecodedDataFromMCRichHits: Improvements to hit time handling, !4371 (@jonrob)
- ~RICH ~PID ~"Event model" | Remove obsolete RICH additionalInfo in ProtoParticle, !4320 (@mveghel)
- ~RICH ~"MC checking" | Misc. improvements to support RICH 4D Reco, !4337 (@jonrob)
- ~"Event model" ~Persistency | Add PV pointer to particle, update v2 PV event model, !4299 (@sesen) [#257,Moore#139,Moore#604,Moore#608,Moore#613,Rec#363]
- ~Persistency | Add a raw event mover algorithm, !4393 (@sesen)
- ~Persistency | Check of unique rawbank sourceID in SelectiveCombineRawBankViewsToPersist, !4259 (@msaur) [Moore#614]
- ~Persistency | Add support for packing T::Selection, for classes T which are packable,  if T::Selection is defined, !4193 (@graven)
- ~Luminosity | Make sure lumiTree is written to empty NTuple files, !4344 (@clemenci)
- ~Simulation | Add MCHit locations, packers, etc. for TV, !4375 (@tlatham)
- Update References for: LHCb!4549, Moore!3386, Alignment!503 based on lhcb-master-mr/11521, !4551 (@lhcbsoft)
- Allowed application to not configure geometry, using geometry_backend=NONE...., !4549 (@sponce)
- Fixed failing tests after IOAlg merge, !4544 (@sponce)
- Update References for: LHCb!4540, Allen!1592 based on lhcb-master-mr/11501, !4542 (@lhcbsoft)
- Fixed usage of task_arena from tbb in HLTControlFlowMgr, !4540 (@sponce)
- Synchronize master branch with 2024-patches, !4539 (@clemenci)
- Update References for: LHCb!2993, Rec!2735, Allen!1370, Moore!927, Alignment!439, MooreOnline!325, Panoptes!304, DaVinci!1002, LHCbIntegrationTests!67 based on lhcb-master-mr/11500, !4537 (@lhcbsoft)
- Use pre-commit for formatting and flake8 checks, !4472 (@clemenci)
- Cleanup sink, !4329 (@sponce)
- For DPA: Make the data_type optional as "data_type:Upgrade" is meaningless, !4496 (@amathad)
- Add a new HltDecReports filter, !4454 (@sesen)
- Support zstd compressed MDF reading in old-style IO, !4444 (@cburr)
- VectorizedML/Sequence fix const return type warning, !4481 (@gunther)
- Introduce number of track parameters in TrackParameters, !4450 (@ausachov)
- Allow unknown locations when unpacking for tistos, !4445 (@sesen)
- ProtoParticle: avoid comparing SmartRef to 0, use nullptr instead, !4452 (@graven)
- Tiny ref fix fir ex2, !4451 (@sponce)
- Fixed Muon decoding test, !4449 (@sponce)
- Added VELO Error Bank to RawEvent.h, !4409 (@jabrown)
- Fix Allen UT geometry, !4395 (@jzhuo)
- UThit position methods, !4269 (@hawu)
- Fixed handling of references in ex2 tests, !4446 (@sponce)
- Revert "Revert "Merge branch 'strong-enum-tagresult' into 'master'"", !4434 (@graven)
- Update References for: Gaudi!1545, LHCb!4431 based on lhcb-master-mr/10409, !4432 (@lhcbsoft)
- Revert "Merge branch 'strong-enum-tagresult' into 'master'", !4430 (@sponce)
- Fixed limit of VMem for mergesmallfiles test, !4428 (@sponce)
- Modernization of RawDataSelector and MyGaudiAlgorithm, !4427 (@sponce)
- Prepare for new GaudiPartProp in Gaudi v38, !4420 (@clemenci)
- Add muon LHCbIDs to Track_v3, !4413 (@thboettc)
- Fixes cast method of MatVec so that it works with non explicit casting operator, !4414 (@sponce)
- Fixed typo in platform info for clang16 platform, !4410 (@sponce)
- More paranoid FetchDataFromFile and more generic unpacking, !4403 (@graven)
- Various cleanup in LHCb, !4402 (@sponce)
- Minor tweak to PyConf JSON encoder to support set properties, !4381 (@clemenci)
- Adapted Phoenix Sink to changes in BaseSink interface, !4328 (@sponce)
- Add heavy flavour track related info and functionality for VP, !4208 (@mveghel)
- Fixed missing include breaking the build on gcc13, !4401 (@sponce)
- Remove DAQKernel package (and migrate its users, eg. `bankKiller` and `RawEventDump`), !4399 (@graven) [#338]
- Reduced precision of TestVDTMath to avoid fluctuations with platforms and compilers, !4397 (@sponce)
- Added new platforms to PlatformInfo, !4396 (@sponce)
- Unpack MCParticles when requesting MCHeader, !4387 (@amathad)
- Add a copy of GaudiAlg (imported from Gaudi v37r2), !4373 (@clemenci)
- Backported floating point comparison fixes from Run2Patches, !4304 (@sponce)
- Update References for: LHCb!4379 based on lhcb-master-mr/9834, !4394 (@lhcbsoft)
- Various fixes for C++20, backported from Run2Support, !4392 (@sponce)
- Cleaned up code around MDFWriter, !4380 (@sponce)
- Support setting compression algorithm with mdf_writer, !4282 (@cburr)
- Consistently use RawBank::View as input to algorithms instead of RawEvent, !4010 (@graven)
- Make FindVDT.cmake compatible with ROOT's FindVdt.cmake, !4345 (@clemenci)
- Dropped FileStager component as it not used anymore, !4362 (@sponce)
- Fixed race condition in HLTControlFlowMgr, !4353 (@sponce)
- Fixed bad check in MDF_ROOT IO, !4351 (@sponce)
