2024-12-14 LHCb v56r1
===

This version uses
Detector [v2r1](../../../../Detector/-/tags/v2r1),
Gaudi [v39r1](../../../../Gaudi/-/tags/v39r1) and
LCG [105c](http://lcginfo.cern.ch/release/105c/) .

This version is released on the `master` branch.
Built relative to LHCb [v56r0](/../../tags/v56r0), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- Fix array index type for histograms in RichBaseTests, !4818 (@jonrob)


### Enhancements ~enhancement

- ~UT ~Simulation | Improvements to UT front end simulation based on 2024 data, !4639 (@hawu)
- Add more sanity checks to ParticleCombination::operator[], !4775 (@graven)
- SIMDWrapper define numeric_limits epsilon, !4590 (@gunther)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~FT | Adapt to Detector!442, !4483 (@lohenry)
- ~RICH | RichFutureKernel: Rework histo test algorithm for better stability, !4810 (@jonrob)
- ~RICH | Migrate away from using (3 value) RICH RadiatorArray to (2 value) DetectorArray, !4719 (@jonrob)
- ~RICH | RICH - Add support for using new histograms, !4676 (@jonrob)
- LHCbMath: Enable VDT and math speed test applications on ARM, !4789 (@jonrob)
- Use Algorithm::Traits::usesCondition rather than deprecated DetDesc::usesCondition, !4786 (@sponce)
- Dropped unused parts of GaudiAlg, !4784 (@sponce)
- LHCbMath: Disable intel specific (AVX, SSE etc.) tests on ARM, !4779 (@jonrob)
- GaudiConf test_qmtexec: Switch to QMT test that works with both detdesc and dd4hep, !4778 (@jonrob)
- Make IOExample tests more robust to diffs due to DetDesc, !4752 (@cattanem)
- Fix usage of obsolete interface, !4740 (@cattanem)
- Bunch of cleanups, essentially moving tests to PyConf or dropping unused LHCbApp code, !4617 (@sponce)
- MuonDAQ replace more c-style arrays by array and span, !4527 (@gunther) [#351]
- Prefer `DataHandle::setKey` over `DataHandle::updateKey`, !4501 (@graven)


### Documentation ~Documentation


### Other

- ~VP | Adapt to not returning the VPChannelID when setting a component, !4781 (@hcroft)
- ~UT ~Simulation | Synchronize master branch with 2024-patches, !4647 (@clemenci)
- ~Simulation | Adding mighty tracker related files, !4372 (@groberts)
- Update References for: LHCb!4676, Rec!4083, Panoptes!389 based on lhcb-master-mr/12038, !4807 (@lhcbsoft)
- Cherry-pick lhcb/LHCb!4764 (Generate configuration in a separate process to reduce memory usage), !4804 (@cburr)
- Improved error message in lbexec in case of usage of non existing entry in TestFileDB, !4803 (@sponce)
- Manual ref update based on lhcb-master 2521, !4801 (@msaur)
- Dropped root_copy_input_writer entry point in Pyconf, !4787 (@sponce)
- Fixed ref update for the move to Gaudi v39r1, !4798 (@sponce)
- Fixed exclusions for histogram's seen as counter, !4794 (@sponce)
- Ref update for the move to Gaudi v39r1, !4792 (@sponce)
- Fixed handling of print_freq in PyConf (was just ignored), !4763 (@sponce)
- Cloned QMTest support from Gaudi, !4741 (@clemenci) [(gaudi/Gaudi#333]
- Fix GaudiAlg references and tests for Gaudi v39, !4668 (@clemenci)
- Fix lbexec_testfiledb test by using an existing entry in TestFileDB, !4785 (@sponce)
- Make sure test_load_det_elems keeps printing time to load conditions per condition, !4770 (@sponce)
- Fixing references for RICH decode-and-spacepoints, !4768 (@msaur)
- Added --override-option-class option to LbExec, !4766 (@sponce)
- Resurrected DD4hep tests on conditions, !4765 (@sponce)
- Update References for: LHCb!4758 based on lhcb-master-mr/11833, !4760 (@lhcbsoft)
- Synchronize master branch with 2024-patches, !4755 (@clemenci)
- Update References for: Detector!640, LHCb!4751, Lbcom!766, Rec!4127 based on lhcb-master-mr/11834, !4759 (@lhcbsoft)
- Moved almost all remaning usages of LHCbApp to PyConf, !4758 (@sponce)
- Added a check that inputs files don't use directly eos (they should use TestFileDB), !4751 (@sponce)
- LHCbTest.py: Accept INFO or SUCCESS level printout for histograms in checks, !4747 (@jonrob)
- Synchronize master branch with 2024-patches, !4738 (@clemenci)
- Revert "Debugging env variable in test-decode-and-spacepoints-detdesc-mc. DO NOT MERGE", !4723 (@sponce)
- Synchronize master branch with 2024-patches, !4679 (@clemenci)
- Update References for: LHCb!4710 based on lhcb-master-mr/11758, !4716 (@lhcbsoft)
- Update References for: LHCb!4707, LHCbIntegrationTests!85 based on lhcb-master-mr/11761, !4713 (@lhcbsoft)
- Fix a few minor problems with the code, !4711 (@clemenci)
- Fix in RawDataConnection for compressed MDFs + new tests, !4710 (@sponce)
- Dropped last direct usage of IOHelper in LHCb, !4707 (@sponce)
- Force use of BoostConfig.cmake as requested by CMake 3.30, !4706 (@clemenci)
- Update References for: LHCb!4696 based on lhcb-master-mr/11731, !4705 (@lhcbsoft)
- Allows empty files in RootIOAlg, !4704 (@sponce)
- Update References for: LHCb!4688, Moore!3924, LHCbIntegrationTests!83 based on lhcb-master-mr/11728, !4703 (@lhcbsoft)
- Moved mergesmallfile test to PyConf, !4696 (@sponce)
- Update References for: LHCb!4683, LHCbIntegrationTests!82 based on lhcb-master-mr/11722, !4699 (@lhcbsoft)
- Backward compatible fixes to master for Gaudi v39, !4698 (@sponce)
- Dropped usage of IOHelper in IOExample tests, !4688 (@sponce)
- Ported XMLSummary tests to PyConf, !4683 (@sponce)
- Dropped unused header  MDF/RawEventHelpers.h, !4672 (@sponce)
- Added FSMCallbackHolder to all LHCb algos so that configurable histograms can be used seemlessly, !4671 (@sponce)
- Make sure we run the pytest discovery of tests late enough in the build, !4670 (@clemenci)
- Make sure we run the pytest discovery of tests late enough in the build, !4667 (@clemenci)
- Fixed (generation of) reference files of for tests imported from Gaudi in GaudiAlg, !4663 (@sponce)
- Update References for: LHCb!4649, Rec!4001, Moore!3734 based on lhcb-master-mr/11640, !4651 (@lhcbsoft)
- Update a few detdesc reference files, !4648 (@clemenci)
- Synchronize master branch with 2024-patches, !4643 (@clemenci)
- Update References for: LHCb!4617 based on lhcb-master-mr/11624, !4621 (@lhcbsoft)
- Update References for: LHCb!4562, Boole!572 based on lhcb-master-mr/11604, !4609 (@lhcbsoft)
- Synchronize master branch with 2024-patches, !4597 (@clemenci)
- Added the UP detector, !4581 (@yanru)
- Update HltRoutingBitsFilter.cpp, !4522 (@sstahl)
- Drop include of obsolete Boost header filesystem/convenience.hpp, !4600 (@clemenci)
- Simplified and cleaned up some custom test stdout preprocessors, !4594 (@clemenci)
- Make pre-commit use clang-format from cvmfs, !4591 (@clemenci)
- Update References for: LHCb!4574, Moore!3511 based on lhcb-master-mr/11594, !4589 (@lhcbsoft)
- Added an small EventNumberCollectAlg + tests for it and EventCountAlg, !4578 (@sponce)
- Synchronize master branch with 2024-patches, !4575 (@clemenci)
- Revert to EventLoopMgr instead of HLTControlFlowManager when using GaudiPython in PyConf, !4574 (@sponce)
- Various cleanups + move tests to PyConf, !4562 (@sponce)
- Fix unterminated print statement in GaudiHistos, !4534 (@jonrob)
- Cleaned up EventCountAlg and dropped replication in Test code, !4577 (@sponce)
- Revert lhcb/LHCb!4154, !4568 (@clemenci)
- Synchronize master branch with 2024-patches, !4546 (@clemenci)
- Use pkg_config for zstd, !4507 (@raaij) [#352]
