2025-01-24 LHCb v56r2
===

This version uses
Detector [v2r1](../../../../Detector/-/tags/v2r1),
Gaudi [v39r2](../../../../Gaudi/-/tags/v39r2) and
LCG [105c](http://lcginfo.cern.ch/release/105c/) .

This version is released on the `master` branch.
Built relative to LHCb [v56r1](/../../tags/v56r1), with the following changes:

### New features ~"new feature"

- ~Simulation | Add sensitiveIDs monitor, !4717 (@mexu)


### Fixes ~"bug fix" ~workaround

- ~Calo | MCCaloHit: Change Time type from char to std::int8_t, !4796 (@xueting)
- Fix VPRetinaCluster edge-flag encoding, !4877 (@dpassaro)
- Remove implicit conversion from MCVertex* to MCVertex, !4843 (@graven)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~RICH | Remove x86_64_v3 specific ref for RichFutureKernel histograms test, !4875 (@jonrob)
- ~RICH | Add temporary x86_64_v3 specific ref for RichFutureKernel histograms test, !4864 (@jonrob)
- ~RICH | Add back int based histogram checks to RichFutureKernel test, !4855 (@jonrob)
- ~RICH | RichFutureKernel: Use known functions in histogram tests, !4831 (@jonrob) [gaudi/Gaudi#351]
- ~RICH | RichHistoBase: Remove workarounds for Gaudi < v39r1, !4753 (@jonrob)
- Add arm specific ref for lumi_decoding test, !4904 (@jonrob)
- Define named  constexpr ParticleID instances to be used instead of bare numbers., !4879 (@graven)
- Remove deprecated MCVertex constructor, !4878 (@graven)
- Prefer C++20 std::countr_zero and std::popcount over __builtin_xxx, !4869 (@graven)


### Other

- ~Simulation | Dropped old CaloFuture2Dview and replace it with CellIDHistogram, !3757 (@sponce)
- Fixed refs, !4898 (@sponce)
- Fix XMLSummarySvc usage with RootIOAlg, !4890 (@sponce) [#379]
- Fixes after pre-commit-config updates, !4888 (@clemenci)
- Update References for: LHCb!4840, Moore!4195 based on lhcb-master-mr/12236, !4887 (@lhcbsoft)
- Fixed warnings introduced by the reindentation using ruff, !4886 (@sponce)
- Update References for: LHCb!4873, Lbcom!784, Rec!4200 based on lhcb-master-mr/12233, !4876 (@lhcbsoft)
- Fixed location of IOVLock in ICondIOVResource, !4873 (@sponce)
- Solving the overlap technical problem, !4840 (@nskidmor)
- Complete reindentation of the code base, !4884 (@sponce)
- Trust file-content-metadata path on CVMFS when cloning, !4871 (@cburr) [CVE-2024]
- Ref update for move to Gaudi v39r2, !4870 (@sponce)
- Add option to specify DD4hep build type in the DD4hepSvc, !4836 (@bcouturi)
- Changes to Event/Track models needed for Velo matching of downstream composites, !4757 (@mstahl)
- Upgrade clang-format and use Ruff for Python linting and formatting, !4346 (@clemenci) [#42,gaudi/Gaudi#247]
- Tiny fix in refs, !4863 (@sponce)
- Remove RICH histogram test x86_64_v3 specific ref, !4862 (@jonrob)
- Fix some of the bad ref files in LHCb, !4861 (@sponce)
- Manual fix of refs, !4859 (@sponce)
- Manual fix of ref update in !3856, !4856 (@sponce)
- Revert "Merge branch 'dhcroft-VPChanIDFix' into 'master'", !4805 (@graven)
- Update References for: Detector!288, LHCb!3757, Rec!3107, Moore!1758 based on lhcb-master-mr/12160, !3856 (@lhcbsoft)
- Update References for: LHCb!4849, Panoptes!416 based on lhcb-master-mr/12156, !4850 (@lhcbsoft)
- Simplify the way FSMCallbackHolder is wrapped around 'base' algorithms, !4849 (@graven)
- Update References for: LHCb!4799 based on lhcb-master-mr/12124, !4842 (@lhcbsoft)
- IOHandlerFileRead: Add INFO message with full path when opening an MDF file, !4799 (@jonrob) [#378]
- Implementation of UT NZS decoder and modifications of all involved files, !4797 (@wokrupa)
- Add segment function and improve sorting of SOACollections, !4610 (@ahennequ)
- Skip ref lines from DocumentHandler in dd4hep_sharedconditions test, !4841 (@jonrob)
- Fixed bad include in interaction_region.py when using detdesc, !4839 (@sponce)
- Remove duplicated test, !4837 (@bcouturi)
- Update References for: LHCb!4791 based on lhcb-master-mr/12110, !4835 (@lhcbsoft)
- Add missing include of vector, !4829 (@clemenci)
- LoKi/RangeList.h: Prefer '#pragma once', !4825 (@jonrob)
- Set default run number rather than default event time in PyConf, !4806 (@sponce)
- Implemented dynamic buffer allocation in IOHandlerFileRead And added counter on bank sizes, !4791 (@sponce)
